/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.alterinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.alterinfo.entity.AlterInfo;
import com.jeeplus.modules.workcontractinfo.entity.WorkContractInfo;

/**
 * 变更作废明细DAO接口
 * @author lw
 * @version 2018-04-13
 */
@MyBatisDao
public interface AlterInfoDao extends CrudDao<AlterInfo> {


    AlterInfo getByContractInfo(WorkContractInfo workContractInfo);
}