/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.project.entity.ProjectDepositManagement;

/**
 * 保证金管理DAO接口
 * @author yangfan
 * @version 2017-10-11
 */
@MyBatisDao
public interface ProjectDepositManagementDao extends CrudDao<ProjectDepositManagement> {

    /**
     * 更新流程实例ID
     * @param projectDepositManagement
     * @return
     */
    public int updateProcessInstanceId(ProjectDepositManagement projectDepositManagement);

    /**
     * 根据流程实例ID获取Leave
     * @param processInstanceId
     * @return
     */
    public ProjectDepositManagement getByProcessInstanceId(String processInstanceId);

}