/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontentinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectcontentinfo.entity.ProjectBasedData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 依据性资料DAO接口
 * @author 杨帆
 * @version 2018-06-05
 */
@MyBatisDao
public interface ProjectBasedDataDao extends CrudDao<ProjectBasedData> {

    ProjectBasedData getNumber(ProjectBasedData projectBasedData);

    List<ProjectBasedData> findReportBased(@Param("reportId") String reportId, @Param("type") String type);

    List<ProjectBasedData> queryListByContentId(String contentId);
}