/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontentinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectcontentinfo.entity.ProjectReportDataMonth;

import java.util.List;

/**
 * 报告详情DAO接口
 * @author yangfan
 * @version 2018-06-05
 */
@MyBatisDao
public interface ProjectReportDataMonthDao extends CrudDao<ProjectReportDataMonth> {
    List<ProjectReportDataMonth> findByCompanyList(ProjectReportDataMonth projectReportDataMonth);
    List<ProjectReportDataMonth> findByOfficeList(ProjectReportDataMonth projectReportDataMonth);
}