/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.work.dao.review;

import java.util.List;

import com.jeeplus.common.persistence.TreeDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.work.entity.review.WorkReportReview;
import org.apache.ibatis.annotations.Param;

/**
 * 工作报告的评论与回复DAO接口
 * @author 许凯
 * @version 2017-04-28
 */
@MyBatisDao
public interface WorkReportReviewDao extends TreeDao<WorkReportReview> {
	public List<WorkReportReview> findListByReportId(WorkReportReview workReportReview);

	public List<WorkReportReview> findListByCompany(@Param("wrr") WorkReportReview workReportReview, @Param("companyId") String companyId);

	List<WorkReportReview> getReviewByReportId(String workReportId);
}