/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workcontent.entity.WorkContentBudget;

import java.util.List;

/**
 * 结算编审DAO接口
 * @author ssrh
 * @version 2018-06-06
 */
@MyBatisDao
public interface WorkContentBudgetDao extends CrudDao<WorkContentBudget> {


    void batchInsert(List<WorkContentBudget> newRecords);
}