/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workinvoicereturnalter.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workinvoicereturnalter.entity.WorkInvoiceReturnAlter;
import com.jeeplus.modules.workinvoicereturnalter.entity.WorkInvoiceReturnAlter;

/**
 * 退票管理DAO接口
 * @author lw
 * @version 2018-06-15
 */
@MyBatisDao
public interface WorkInvoiceReturnAlterDao extends CrudDao<WorkInvoiceReturnAlter> {
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkInvoiceReturnAlter workInvoiceReturnAlter);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkInvoiceReturnAlter getByProcessInstanceId(String processInstanceId);
	
}