/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workjobgrade.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.TreeDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workjobgrade.entity.WorkJobGrade;


import javax.validation.OverridesAttribute;

import java.util.List;

/**
 * 职级类型DAO接口
 * @author ssrh
 * @version 2018-08-02
 */
@MyBatisDao
public interface WorkJobGradeDao extends TreeDao<WorkJobGrade> {


    void changeState(WorkJobGrade workJobGrade);

    public List<WorkJobGrade> findByBranchOffice(WorkJobGrade workJobGrade);


    List<WorkJobGrade> findByName(WorkJobGrade select);

}