/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workofficechange.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workofficechange.entity.WorkOfficeChangeUser;
import com.jeeplus.modules.workofficechange.dao.WorkOfficeChangeUserDao;

/**
 * 调转成员Service
 * @author chenyuping
 * @version 2018-08-01
 */
@Service
@Transactional(readOnly = true)
public class WorkOfficeChangeUserService extends CrudService<WorkOfficeChangeUserDao, WorkOfficeChangeUser> {

	public WorkOfficeChangeUser get(String id) {
		return super.get(id);
	}
	
	public List<WorkOfficeChangeUser> findList(WorkOfficeChangeUser workOfficeChangeUser) {
		return super.findList(workOfficeChangeUser);
	}
	
	public Page<WorkOfficeChangeUser> findPage(Page<WorkOfficeChangeUser> page, WorkOfficeChangeUser workOfficeChangeUser) {
		return super.findPage(page, workOfficeChangeUser);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkOfficeChangeUser workOfficeChangeUser) {
		super.save(workOfficeChangeUser);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkOfficeChangeUser workOfficeChangeUser) {
		super.delete(workOfficeChangeUser);
	}
	
	
	
	
}