/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreceiptssettle.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreceiptssettle.entity.WorkReceiptsSettle;
import org.apache.ibatis.annotations.Param;

/**
 * 收入结算DAO接口
 * @author ssrh
 * @version 2018-06-28
 */
@MyBatisDao
public interface WorkReceiptsSettleDao extends CrudDao<WorkReceiptsSettle> {


    void updateProcessIdAndStatus(WorkReceiptsSettle workReceiptsSettle);

    int countByInvoiceNumAndComp(@Param("invoiceNum") String invoiceNum, @Param("comId") String comId, @Param("id")String id);
}