<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>企业荣誉管理</title>
	<meta name="decorator" content="default"/>
	<style type="text/css">
		img{width: 50px;height: 50px;}
	</style>
	<script type="text/javascript">
        $(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
        });
        function openDialogre(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin: 'three-btns',
                content: url ,
                btn: ['提交','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn3: function(index){
                }
            });
        }
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">

				<form:form id="searchForm" modelAttribute="officehonor" action="${ctx}/officehonor/officehonor/" method="post" class="form-inline">
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<div class="commonQuery lw8">
						<div class="layui-item query athird">
							<label class="layui-form-label">公司名称：</label>
							<div class="layui-input-block with-icon">
								<sys:treeselect id="officeId" name="office.id" value="${officehonor.office.id}" labelName="office.name" labelValue="${officehonor.office.name}"
												title="机构" url="/sys/office/treeDataCompany"  cssClass="form-control layui-input" />
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">荣誉名称：</label>
							<div class="layui-input-block">
								<form:input path="name" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" class="lw8" style="clear:both;display:none;">
							<%--<div class="layui-item query athird">
                                <label class="layui-form-label">专业：</label>
                                <div class="layui-input-block">
                                    <form:input path="specialty" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                                </div>
                            </div>--%>
					</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
					<shiro:hasPermission name="officehonor:officehonor:add">
						<table:addRow url="${ctx}/officehonor/officehonor/form" title="企业荣誉"></table:addRow><!-- 增加按钮 -->
					</shiro:hasPermission>

					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'num',align:'center',sort:true ,title: '编号',minWidth:160,templet:function(d){
                    var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看企业荣誉', '${ctx}/officehonor/officehonor/form?id=" + d.id + "&tabId=view','95%','95%')\">" +
                        "<span title=" + d.num + ">" + d.num + "</span></a>";
                    return xml;
                }}
                ,{field:'companyName',align:'center', title: '公司名称',minWidth:160,templet:function(d){
                    return "<span title='"+ d.companyName +"'>" + d.companyName + "</span>";
                }}
                ,{field:'name',align:'center', title: '荣誉名称',minWidth:160,templet:function(d){
                    return "<span title='"+ d.name +"'>" + d.name + "</span>";
                }}
                ,{field:'honorType',align:'center', title: '荣誉类型',minWidth:160,templet:function(d){
                    return "<span title='"+ d.honorType +"'>" + d.honorType + "</span>";
                }}
                ,{field:'issuedAgency', align:'center',title: '颁发机构',minWidth:160,templet:function(d){
                    return "<span title='"+ d.issuedAgency +"'>" + d.issuedAgency + "</span>";
                }}
                ,{field:'uploadDate',align:'center', sort:true ,title: '上传日期', minWidth:160}
                ,{field:'upload',align:'center',title:"荣誉文件",minWidth:170,templet:function(d){
                    ////对操作进行初始化
                    var xml = "";
                    if(d.edit1 != undefined && d.edit1 == "1")
                        xml +="<img src="+d.url+" width="+50+" height="+50+" alt="+d.uName+">";

                    if(d.edit2 != undefined && d.edit2 == "1")
                        xml +="<a href=\"javascript:void(0)\"  >" + d.uName + "</a>";

                    if(d.edit3 != undefined && d.edit3 == "1")
                        xml +="<a href=\"javascript:void(0)\"  >" + d.uName + "</a>";
                    return xml;
                }}
                /*    ,{field:'upload',align:'center',title:"资质文件",width:170,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";
                        if(d.edit1 != undefined && d.edit1 == "1")
                            xml +="<img src="+d.url+" width="+50+" height="+50+" onclick=\"openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=" + d.url + ",'90%','90%')\" alt="+d.uName+">";

                    if(d.edit2 != undefined && d.edit2 == "1")
                        xml +="<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"preview('预览'," + d.url + " ,'90%','90%','1')\" >" + d.uName + "</a>";

                    if(d.edit3 != undefined && d.edit3 == "1")
                        xml +="<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"preview('预览'," + d.url + ",'90%','90%')\" >" + d.uName + "</a>";
                    return xml;
                }}*/
                ,{field:'op',align:'center',title:"操作",width:130,templet:function(d){
                    ////对操作进行初始化
                    var xml = "";
                    if(d.canedit1 != undefined && d.canedit1 == "1")
                        xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogre('修改企业资质', '${ctx}/officehonor/officehonor/form?id="+ d.id + "','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                    if(d.candelete != undefined && d.candelete == "1")
                        xml +="<a href=\"${ctx}/officehonor/officehonor/delete?id=" + d.id + "\" onclick=\"return confirmx('确认要删除该荣誉信息吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                    return xml;
                }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="officehonor" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${officehonor.id}"
                    ,"num":"${officehonor.num}"
                    ,"companyName":"${officehonor.companyName}"
                    ,"name":"${officehonor.name}"
                    ,"honorType":"${officehonor.honorType}"
                    ,"issuedAgency":"${officehonor.issuedAgency}"
                    ,"url":"${officehonor.url}"
                    ,"uName":"${officehonor.uName}"
                    ,"uploadDate":"<fmt:formatDate value="${officehonor.uploadDate}" pattern="yyyy-MM-dd"/>"
                    <shiro:hasPermission name="officehonor:officehonor:edit"><c:choose>
                    <c:when test="${fns:getOffice().parent.type == '1' || fns:getOffice().parent.id == officehonor.office.id}">,"canedit1":"1"</c:when>
                    </c:choose></shiro:hasPermission>
                    <shiro:hasPermission name="officehonor:officehonor:del"><c:choose>
                    <c:when test="${fns:getOffice().parent.type == '1' || fns:getOffice().parent.id == officehonor.office.id}">,"candelete":"1"</c:when>
                    </c:choose></shiro:hasPermission>
                    <c:choose>
                    <c:when test="${fn:containsIgnoreCase(officehonor.uName,'jpg')
                                                           or fn:containsIgnoreCase(officehonor.uName,'png')
                                                           or fn:containsIgnoreCase(officehonor.uName,'gif')
                                                           or fn:containsIgnoreCase(officehonor.uName,'bmp')
                                                           or fn:containsIgnoreCase(officehonor.uName,'jpeg')}">,"edit1":"1"</c:when>
                    <c:otherwise>
                    <c:choose>
                    <c:when test="${fn:containsIgnoreCase(officehonor.uName,'pdf')}">
                    ,"edit2":"1"</c:when>
                    <c:otherwise>
                    ,"edit3":"1"</c:otherwise>
                    </c:choose>
                    </c:otherwise>
                    </c:choose>

                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>