<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<head>
    <title>通讯录查看</title>
    <meta name="decorator" content="default"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=0,viewport-fit=cover">
    <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport" />
    <meta content="yes" name="apple-mobile-web-app-capable">
    <meta content="black" name="apple-mobile-web-app-status-bar-style">
    <meta content="telephone=no" name="format-detection">
    <link rel="stylesheet" href="https://res.wx.qq.com/open/libs/weui/1.1.2/weui-for-work.min.css"/>
    <link rel="stylesheet" href="${ctx}/static/weixin/example/example.css"/>
</head>
<c:if test="${not empty workStaffBasicInfo}">
<div class="page">
    <div class="page__bd">
        <div class="weui-cells__title">基本信息</div>
        <div class="weui-cells weui-cells_form">
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">姓名</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="${workStaffBasicInfo.name}" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">工号</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="${workStaffBasicInfo.no}" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">性别</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="${fns:getDictLabel(workStaffBasicInfo.gender,'sex','')}" type="text" placeholder=""/>
                    <input name="gender" value="${workStaffBasicInfo.gender}"  hidden="hidden" readonly="readonly"  />
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">出生日期</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="<fmt:formatDate value="${workStaffBasicInfo.birthday}" pattern="yyyy-MM-dd"/>" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">年龄</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="${workStaffBasicInfo.age}" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">民族</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="${fns:getDictLabel(workStaffBasicInfo.nation,'nation_type','')}" type="text" placeholder=""/>
                    <input name="nation" value="${workStaffBasicInfo.nation}" hidden="hidden" readonly="readonly" />
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">婚姻状态</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="${workStaffBasicInfo.marriage}" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">政治面貌</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="${workStaffBasicInfo.politics}" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">是否退伍军人</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="${fns:getDictLabel(workStaffBasicInfo.exSoldier,'yes_no','')}" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">籍贯</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" readonly="readonly" value="${workStaffBasicInfo.address}" type="text" placeholder=""/>
                </div>
            </div>
        </div>
        <div class="weui-cells__title">联系方式</div>
        <div class="weui-cells weui-cells_form">
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">手机号</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" value="${workStaffBasicInfo.mobile}" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">电子邮箱</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" value="${workStaffBasicInfo.email}" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">座机</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" value="${workStaffBasicInfo.phone}" type="text" placeholder=""/>
                </div>
            </div>
        </div>
        <div class="weui-cells__title">入职信息</div>
        <div class="weui-cells weui-cells_form">
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">职级</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" value="${workStaffBasicInfo.jobGrade.name}" type="text" placeholder=""/>
                    <input value="${workStaffBasicInfo.jobGrade.id}"  hidden="hidden" readonly="readonly"  class=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">员工状态</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" value="${workStaffBasicInfo.status}" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">入职日期</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" value="<fmt:formatDate value="${workStaffBasicInfo.entryDate}" pattern="yyyy-MM-dd"/>" type="text" placeholder=""/>
                </div>
            </div>
            <div class="weui-cell">
                <div class="weui-cell__hd"><label class="weui-label">参加工作日期</label></div>
                <div class="weui-cell__bd">
                    <input class="weui-input" value="<fmt:formatDate value="${workStaffBasicInfo.workDate}" pattern="yyyy-MM"/>" type="text" placeholder=""/>
                </div>
            </div>
        </div>
        <div class="weui-cells__title">所属信息</div>
        <div class="weui-cells">
            <div class="weui-cell weui-cell_select weui-cell_select-after">
                <div class="weui-cell__hd">
                    <label for="" class="weui-label">归属公司</label>
                </div>
                <div class="weui-cell__bd">
                    <select class="weui-select" name="select1">
                        <option value="1">${workStaffBasicInfo.company.name}</option>
                    </select>
                </div>
            </div>
            <div class="weui-cell weui-cell_select weui-cell_select-after">
                <div class="weui-cell__hd">
                    <label for="" class="weui-label">归属部门</label>
                </div>
                <div class="weui-cell__bd">
                    <select class="weui-select" name="select2">
                        <option value="1">${workStaffBasicInfo.office.name}</option>
                    </select>
                    <input name="office.id" value="${workStaffBasicInfo.office.id}" hidden="hidden" readonly="readonly" />
                </div>
            </div>
            <div class="weui-cell weui-cell_select weui-cell_select-after">
                <div class="weui-cell__hd">
                    <label for="" class="weui-label">岗位</label>
                </div>
                <div class="weui-cell__bd">
                    <select class="weui-select" name="select3">
                        <option value="1">${workStaffBasicInfo.branchOffice.name}</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="weui-cells">

        </div>
        <div class="weui-btn-area">
            <a class="weui-btn weui-btn_primary" href="javascript:" id="showTooltips">确定</a>
        </div>
    </div>
</div>
</c:if>