<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>app展示管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>app展示列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workappshow" action="${ctx}/workappshow/workappshow/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workappshow:workappshow:add">
				<table:addRow url="${ctx}/workappshow/workappshow/form" title="app展示"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workappshow:workappshow:edit">
			    <table:editRow url="${ctx}/workappshow/workappshow/form" title="app展示" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workappshow:workappshow:del">
				<table:delRow url="${ctx}/workappshow/workappshow/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workappshow:workappshow:import">
				<table:importExcel url="${ctx}/workappshow/workappshow/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workappshow:workappshow:export">
	       		<table:exportExcel url="${ctx}/workappshow/workappshow/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column notifyStatus">公告展示</th>
				<th  class="sort-column companyRuleStatus">考勤打卡</th>
				<th  class="sort-column reportStatus">工作日志</th>
				<th  class="sort-column calendarStatus">日程</th>
				<th  class="sort-column auditStatus">审批</th>
				<th  class="sort-column signInStatus">外勤签到</th>
				<th  class="sort-column manageCalendarStatus">管理日历</th>
				<th  class="sort-column userId">用户id</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workappshow">
			<tr>
				<td> <input type="checkbox" id="${workappshow.id}" class="i-checks"></td>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看app展示', '${ctx}/workappshow/workappshow/form?id=${workappshow.id}','80%','80%')">
					${workappshow.remarks}
				</a></td>
				<td>
					${workappshow.notifyStatus}
				</td>
				<td>
					${workappshow.companyRuleStatus}
				</td>
				<td>
					${workappshow.reportStatus}
				</td>
				<td>
					${workappshow.calendarStatus}
				</td>
				<td>
					${workappshow.auditStatus}
				</td>
				<td>
					${workappshow.signInStatus}
				</td>
				<td>
					${workappshow.manageCalendarStatus}
				</td>
				<td>
					${workappshow.userId}
				</td>
				<td>
					<shiro:hasPermission name="workappshow:workappshow:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看app展示', '${ctx}/workappshow/workappshow/form?id=${workappshow.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workappshow:workappshow:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改app展示', '${ctx}/workappshow/workappshow/form?id=${workappshow.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workappshow:workappshow:del">
						<a href="${ctx}/workappshow/workappshow/delete?id=${workappshow.id}" onclick="return confirmx('确认要删除该app展示吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>