<%@ page import="com.jeeplus.modules.sys.utils.UserUtils" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>借用管理</title>
	<meta name="decorator" content="default"/>
	<style>
		.widthClass{
			display: inline-block;
		}
		.shows .input-group{
			width: 48%!important;
		}
	</style>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="workBorrowMangement" action="${ctx}/workborrowmangement/workBorrowMangement/" method="post" class="form-inline">
					<%--以下三行照抄--%>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
					<div class="commonQuery">
						<div class="layui-item query athird">
							<label class="layui-form-label">借用人：</label>
							<div class="layui-input-block">
								<input id="borrower" name="borrower" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${workBorrowMangement.borrower}" />
								</input>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">借用日期：</label>
							<div class="layui-input-block">
								<input id="beginDate" placeholder="开始时间" name="beginDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workBorrowMangement.beginDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
								<span class="group-sep">-</span>
								<input id="endDate" placeholder="结束时间" name="endDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workBorrowMangement.endDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" style="clear:both;display:none;">
						<div class="layui-item query athird ">
							<label class="layui-form-label">状态：</label>
							<div class="layui-input-block">
								<form:select path="state" class=" form-control  simple-select">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('audit_state')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</div>
						</div>
						<div class="layui-item query athird lw9">
						<label class="layui-form-label">固定资产编号：</label>
						<div class="layui-input-block">
							<input id="assetsNumber" name="assetsNumber" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${workBorrowMangement.assetsNumber}" />
							</input>
						</div>
					</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">物品名称：</label>
							<div class="layui-input-block">
								<input id="itemName" name="itemName" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${workBorrowMangement.itemName}" />
								</input>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">规格型号：</label>
							<div class="layui-input-block">
								<input id="itemModel" name="itemModel" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${workBorrowMangement.itemModel}" />
								</input>
							</div>
						</div>
						<div class="layui-item query athird">
						<label class="layui-form-label">归还状态：</label>
						<div class="layui-input-block">
							<form:select path="backState" class=" form-control  simple-select">
								<form:option value="" label=""/>
								<form:option value="0" label="未归还"/>
								<form:option value="2" label="归还中"/>
								<form:option value="1" label="已归还"/>
							</form:select>
						</div>
					</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">所属部门：</label>
							<div class="layui-input-block with-icon">
								<sys:treeselect id="officeId" name="officeId" value="${workBorrowMangement.officeId}" labelName="officeName" labelValue="${workBorrowMangement.officeName}"
												title="部门" url="/sys/office/treeDataAll?type=2" cssClass="form-control layui-input" allowClear="true" notAllowSelectParent="true"/>
							</div>
						</div>
						<div style="clear:both;"></div>
					</div>
				</form:form>
			</div>
		</div>

		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
					<shiro:hasPermission name="workborrowmangement:workBorrowMangement:add">
						<a href="javascript:void(0)" onclick="openDialog('新增借用', '${ctx}/workborrowmangement/workBorrowMangement/form?tabId=1','95%','95%')" class="nav-btn nav-btn-add" ><i class="fa fa-plus"></i>&nbsp;添加</a>
					</shiro:hasPermission>
					<%--<shiro:hasPermission name="workborrowmangement:workBorrowMangement:export">
						<table:exportExcel url="${ctx}/workborrowmangement/workBorrowMangement/export"></table:exportExcel><!-- 导出按钮 -->
					</shiro:hasPermission>--%>
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'number',align:'center',sort: true, width:120,title: '借用编号', templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看借用', '${ctx}/workborrowmangement/workBorrowMangement/view?id=" + d.id + "','95%','95%')\">" +
                            "<span title=" + d.number + ">" + d.number + "</span></a>";
                        return xml;
                    }},
                {field:'itemName',align:'center', minWidth:150, title: '物品名称',templet:function(d){
                        return "<span title='"+ d.itemName +"'>" + d.itemName + "</span>";
                    }}
                ,{field:'assetsNumber',align:'center',width:150, title: '固定资产编号',templet:function(d){
                        return "<span title='"+ d.assetsNumber +"'>" + d.assetsNumber + "</span>";
                    }}
                ,{field:'itemType',align:'center',width:100, title: '物品分类',templet:function(d){
                        return "<span title='"+ d.itemType +"'>" + d.itemType + "</span>";
                    }}
                ,{field:'itemModel',align:'center',width:150, title: '规格型号',templet:function(d){
                        return "<span title='"+ d.itemModel +"'>" + d.itemModel + "</span>";
                    }}
                ,{field:'borrowDate', align:'center',width:100,title: '借用日期'}
                ,{field:'userName',align:'center',width:100, title: '借用人',templet:function(d){
                        return "<span title='"+ d.userName +"'>" + d.userName + "</span>";
                    }}
                ,{field:'officeName',align:'center',width:200, title: '所属部门',templet:function(d){
                        return "<span title='"+ d.officeName +"'>" + d.officeName + "</span>";
                    }}
                ,{field:'state',align:'center',width:80, title: '申请状态',templet:function(d){
                        var st = getAuditState(d.state);
                        if(st.action)
                            var xml = "<span onclick=\"openDialogView('流程追踪', '${ctx}/workborrowmangement/workBorrowMangement/getProcess?id=" + d.id + "','95%','95%')\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                        else
                            var xml = "<span style=\"cursor:default;\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                        return xml;
                    }}
                ,{field:'backState',align:'center',width:100, title: '归还状态', templet:function(d){
                        return "<span title='"+ d.backState +"'>" + d.backState + "</span>";
                    }}
                ,{align:'caozuo',align:'center',title:"操作",width:160,templet:function(d){

                        var xml = "";

                        if(d.canedit != undefined && d.canedit == "1"){
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialog('修改借用', '${ctx}/workborrowmangement/workBorrowMangement/form?id=" + d.id+"','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i>修改</a>"
                        }
                        if(d.canmodify != undefined && d.canmodify =="1"){
                            xml+="<a href=\"#\" onclick=\"openDialogremodify('修改借用', '${ctx}/workborrowmangement/workBorrowMangement/modify?id=" + d.id + "','95%', '95%','','重新申请,关闭')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                        }
                        if(d.candelete != undefined && d.candelete == "1"){
                            xml +="<a href=\"${ctx}/workborrowmangement/workBorrowMangement/delete?id=" + d.id+"\" onclick=\"return confirmx('确认要删除该借用吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                        }
                        if(d.cancancel != undefined && d.cancancel =="1"){
                            xml+="<a href=\"${ctx}/workborrowmangement/workBorrowMangement/revoke?id=" + d.id + "&processInstanceId=" + d.procId + "\" onclick=\"return confirmx('确认要撤回该借用申请吗？', this.href)\" class=\"op-btn op-btn-cancel\" ><i class=\"glyphicon glyphicon-share-alt\"></i> 撤回</a>";
                        }
                        if(d.canback != undefined && d.canback =="1"){
                            xml+="<a href=\"${ctx}/workborrowmangement/workBorrowBack/save?id=" + d.id +"\" onclick=\"return confirmx('确认要归还该借用吗？', this.href)\" class=\"op-btn op-btn-cancel\" ><i class=\"glyphicon glyphicon-share-alt\"></i> 归还</a>";
                        }

                            return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workBorrowMangement" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "id":"${workBorrowMangement.id}"
                    ,"number":"${workBorrowMangement.number}"
                    ,"itemName":"${workBorrowMangement.itemName}"
                    ,"assetsNumber":"${workBorrowMangement.assetsNumber}"
                    ,"itemType":"${workBorrowMangement.itemType}"
                    ,"itemModel":"${workBorrowMangement.itemModel}"
                    ,"borrowDate":"<fmt:formatDate value="${workBorrowMangement.borrowDate}" pattern="yyyy-MM-dd"/>"
                    ,"userName":"${workBorrowMangement.userName}"
                    ,"officeName":"${workBorrowMangement.officeName}"
                    ,"state":"${workBorrowMangement.state}"
                    ,"backState":<c:if test="${workBorrowMangement.backState eq '0'}">"未归还"</c:if> <c:if test="${workBorrowMangement.backState eq '1'}">"已归还"</c:if><c:if test="${workBorrowMangement.backState eq '2'}">"归还中"</c:if>
                    ,"procId":"${workBorrowMangement.processInstanceId}"
                    <c:if test="${flag == '1' or fns:getUser().id == workBorrowMangement.createBy.id}">
                    <shiro:hasPermission name="workborrowmangement:workBorrowMangement:edit">,"canedit":<c:choose><c:when test="${workBorrowMangement.state == 1 or workBorrowMangement.state == 3}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    ,"canmodify":<c:choose><c:when test="${workBorrowMangement.state == 4}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    </shiro:hasPermission>
                    <shiro:hasPermission name="workborrowmangement:workBorrowMangement:del">,"candelete":<c:choose><c:when test="${workBorrowMangement.state == 1 or workBorrowMangement.state == 3 or workBorrowMangement.state == 4}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose></shiro:hasPermission>
                    ,"cancancel":<c:choose><c:when test="${workBorrowMangement.state == 2}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    ,"canback":<c:choose><c:when test="${workBorrowMangement.state == 5 and workBorrowMangement.backState eq '0' and fns:getUser().id == workBorrowMangement.borrower}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    </c:if>
                }
                </c:forEach>
                </c:if>
            ]
        });

    })
    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {
        $("#cus_name").show();
        $("#cus_name").siblings().hide();
        //搜索框收放
        $('#moresee').click(function(){
            if($('#moresees').is(':visible'))
            {
                $('#moresees').slideUp(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
            }else{
                $('#moresees').slideDown(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
            }
        });

        laydate.render({
            elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            format: 'yyyy-MM-dd',
            type : 'date'
        });

        laydate.render({
            elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            format: 'yyyy-MM-dd',
            type : 'date'
        });

    });
    function switchInput(obj){
        $("#"+obj).show();
        $("#"+obj).siblings().hide();
    }

    function openDialogremodify(title,url,width,height,target){

        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            skin: 'two-btns',
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['重新申请','关闭'],
            yes: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                if(iframeWin.contentWindow.doSubmit() ){
                    top.layer.close(index);//关闭对话框。
                    //setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }

            }

        });
    }
    function openDialog(title,url,width,height,target) {
        if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
            width = 'auto';
            height = 'auto';
        } else {//如果是PC端，根据用户设置的width和height显示。
        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            maxmin: true, //开启最大化最小化按钮
            content: url,
            skin: 'three-btns',
            btn: ['送审', '暂存', '关闭'],
            btn1: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                if(iframeWin.contentWindow.doSubmit(1) ){
                    // top.layer.close(index);//关闭对话框。
                    setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }
            },
            btn2:function(index,layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                if(iframeWin.contentWindow.doSubmit(2) ){
                    // top.layer.close(index);//关闭对话框。
                    setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }else {
                    return false;
                }
            },
            btn3: function (index) {
            }
        });
    }
</script>
</body>
</html>
