<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>

<div class="form-group layui-row lw12">
    <div class="layui-item layui-col-sm12">
        <label class="layui-form-label"><span class="require-item">*</span>清单类型:</label>
        <div class="layui-input-block">
            <input htmlEscape="false" readonly="true" class="form-control layui-input"
                   <c:if test="${ctrlpricelist[0].inventoryType == '01'}">value="工程量清单"</c:if>
                   <c:if test="${ctrlpricelist[0].inventoryType == '02'}">value="工程量清单计价"</c:if>
                   />
        </div>
    </div>
</div>
<form id="subForm"  action="#" onsubmit="return false;" method="post" class="form-horizontal">
	<!-- 表格 -->
	<table id="contentTable" class="table table-bordered table-condensed">
		<thead>
			<tr>
				<th>编号</th>
				<th>工程费用名称</th>
				<th>金额</th>
				<th>安全文明施工费</th>
				<th>规费</th>
				<th>暂估价</th>
				<th>节点类型</th>
                <th>备注</th>
			</tr>
		</thead>
		<tbody id="ctrlpriceList">
            <c:forEach items="${ctrlpricelist}" var="row">
                <tr>
                    <td  style='text-align:center;'>
                        ${row.ctrlNum}
                    </td>
                    <td style='text-align:center;'>
                        ${row.costName}
                    </td>
                    <td style='text-align:center;'>
                        <fmt:formatNumber value="${row.sum}" pattern="#,##0.00#"/>
                    </td>
                    <td style='text-align:center;'>
                        <fmt:formatNumber value="${row.constructionCost}" pattern="#,##0.00#"/>
                    </td>
                    <td style='text-align:center;'>
                        <fmt:formatNumber value="${row.fees}" pattern="#,##0.00#"/>
                    </td>
                    <td style='text-align:center;'>
                        <fmt:formatNumber value="${row.estimate}" pattern="#,##0.00#"/>
                    </td>
                    <td style='text-align:center;'>
                            ${fns:getMainDictLabel(row.nodeTypes, 'node_type', '')}
                           <%-- ${row.nodeTypes}--%>
                    </td>
                    <td style='text-align:center;'>
                            ${row.remarks}
                    </td>
                </tr>
            </c:forEach>
		</tbody>
	</table>
</form>