<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<form id="subForm"  action="#" onsubmit="return false;" method="post" class="form-horizontal">
	<table id="contentTable" class="table table-bordered table-condensed">
		<thead>
			<tr>
				<th>编号</th>
				<th>工程费用名称</th>
				<th>建筑工程费</th>
				<th>设备购置费</th>
				<th>安装工程费</th>
				<th>其他费用</th>
				<th>合计（万元）</th>
				<th>数量</th>
				<th>单位</th>
				<th>指标</th>
				<th>费用类型</th>
				<th>节点类型</th>
                <th>备注</th>
			</tr>
		</thead>
		<tbody id="investmentCostList">
        <c:forEach items="${investmentCostList}" var="row">
            <tr>
                <td style='text-align:center;'>
                    ${row.costNum}
                </td>
                <td style='text-align:center;'>
                    ${row.costName}
                </td>
                <td style='text-align:center;'>
                    <fmt:formatNumber value="${row.buildindCost}" pattern="#,##0.00#"/>
                </td>
                <td style='text-align:center;'>
                    <fmt:formatNumber value="${row.equipmentCost}" pattern="#,##0.00#"/>
                </td>
                <td style='text-align:center;'>
                    <fmt:formatNumber value="${row.installationCost}" pattern="#,##0.00#"/>
                </td>
                <td style='text-align:center;'>
                    <fmt:formatNumber value="${row.otherExpenses}" pattern="#,##0.00#"/>
                </td>
                <td style='text-align:center;'>
                    <fmt:formatNumber value="${row.totalCost}" pattern="#,##0.00#"/>
                </td>
                <td style='text-align:center;'>
                        ${row.count}
                </td>
                <td style='text-align:center;'>
                        ${fns:getMainDictLabel(row.unit, 'unit_type', '')}
                       <%-- ${row.unit}--%>
                </td>
                <td style='text-align:center;'>
                        ${row.target}
                </td>
                <td style='text-align:center;'>
                        ${fns:getMainDictLabel(row.expenseType, 'cost_type', '')}
                       <%-- ${row.expenseType}--%>
                </td>
                <td style='text-align:center;'>
                        ${fns:getMainDictLabel(row.nodeTypes, 'node_type', '')}
                                <%-- ${row.nodeTypes}--%>
                </td>
                <td style='text-align:center;'>
                        ${row.remarks}
                </td>
            </tr>
        </c:forEach>
		</tbody>
	</table>
</form>