<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工程项目信息管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/webpage/include/treetable.jsp" %>
	<script type="text/javascript">
        $(function(){
            $("#treeTable").treeTable({expandLevel : 1,column:1}).show();
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp('slow');
                    $(this).text("更多").removeClass("fa fa-chevron-up").addClass("fa fa-chevron-down");
                    //document.getElementById("moresees").style.visibility = "hidden";
                }else{
                    $('#moresees').slideDown('slow');
                    $(this).text("收起").removeClass("fa fa-chevron-down").addClass("fa fa-chevron-up");
                    //document.getElementById("moresees").style.visibility = "visible";
                }
            });
        });
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['通过','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });
        }

        function openDialogreToo(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['重新申请','撤回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(3) ){
                        //top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(4) ){
                        //top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });

        }
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>
			<ul class="nav nav-tabs">
				<li class="active"><a href="${ctx}/workengineeringproject/workEngineeringProject/list">项目登记列表</a></li>
				<li><a href="${ctx}/workengineeringproject/workEngineeringProject/workEngineeringProjectTodoList">待办任务</a></li>
				<li><a href="${ctx}/workengineeringproject/workEngineeringProject/workEngineeringProjectHistoricList">已办任务</a></li>
			</ul>
		</h5>
		<%--<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>--%>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workEngineeringProject" action="${ctx}/workengineeringproject/workEngineeringProject/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<span>报告号：</span>
				<form:input path="reportNumber" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>项目名称：</span>
				<form:input path="projectId.name" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
				<%--<sys:gridselect url="${ctx}/workengineeringproject/workEngineeringProject/selectprojectId" id="projectId" name="projectId"  value="${workEngineeringProject.projectId.id}"  title="选择项目外键id" labelName="projectId.projectName"
					labelValue="${workEngineeringProject.projectId.projectName}" cssClass="form-control required" fieldLabels="项目id" fieldKeys="id" searchLabel="项目名称" searchKey="projectName" ></sys:gridselect>
			--%>
			<span>业务类型：</span>
				<form:select path="businessType"  class="form-control m-b">
					<form:option value="" label=""/>
					<form:options items="${fns:getMainDictList('business_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
				</form:select>
		 </div>
		<div style="display:none;margin-top: 15px" id="moresees">
			<span>项目状态：</span>
			<form:select path="status"  class="form-control m-b">
				<form:option value="" label=""/>
				<form:options items="${fns:getDictList('engineering_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
			<span>行业分类：</span>
			<form:select path="psort"  class="form-control m-b">
				<form:option value="" label=""/>
				<form:options items="${fns:getDictList('psort')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
			<span>地区：</span>
			<sys:treeselect id="area" name="area.id" value="${workEngineeringProject.area.id}" labelName="area.name" labelValue="${workEngineeringProject.area.name}"
							title="区域" url="/sys/area/treeData" cssClass="form-control input-sm" allowClear="true" notAllowSelectParent="false"/>
		</div>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workengineeringproject:workEngineeringProject:add">
				<table:addRow url="${ctx}/workengineeringproject/workEngineeringProject/form" title="工程项目信息"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<%--<shiro:hasPermission name="workengineeringproject:workEngineeringProject:edit">
			    <table:editRow url="${ctx}/workengineeringproject/workEngineeringProject/form" title="工程项目信息" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workengineeringproject:workEngineeringProject:del">
				<table:delRow url="${ctx}/workengineeringproject/workEngineeringProject/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>--%>
			<shiro:hasPermission name="workengineeringproject:workEngineeringProject:import">
				<table:importExcel url="${ctx}/workengineeringproject/workEngineeringProject/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workengineeringproject:workEngineeringProject:export">
	       		<table:exportExcel url="${ctx}/workengineeringproject/workEngineeringProject/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="treeTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<%--<th> <input type="checkbox" class="i-checks"></th>--%>
				<%--<th  class="sort-column totalProjectName">总项目名称</th>--%>
				<th style="text-align: center;"  class="sort-column remarks">项目编号</th>
				<th style="text-align: center;"  class="sort-column projectId.id">项目名称</th>
				<th style="text-align: center;"  class="sort-column reportNumber">报告号</th>
				<th style="text-align: center;"  class="sort-column businessType">业务类型</th>
				<th style="text-align: center;"  class="sort-column client.id">客户单位</th>
				<th style="text-align: center;" >项目负责人</th>
				<th style="text-align: center;"  class="sort-column createDate">创建时间</th>
				<th style="text-align: center;"  class="sort-column status">项目状态</th>
				<th style="text-align: center;"  >流程追踪</th>
				<th style="text-align: center;">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:choose>
			<c:when test="${not empty page.list}">
				<c:forEach items="${page.list}" var="workEngineeringProject">
					<tr id="${workEngineeringProject.id}" pId="${workEngineeringProject.totalProjectId ne '1'?workEngineeringProject.totalProjectId:'0'}">
						<%--<td> <input type="checkbox" id="${workEngineeringProject.id}" class="i-checks"></td>--%>

						<td width="15%">
							<span title="${workEngineeringProject.projectId.number}">${fns:abbr(workEngineeringProject.projectId.number,50)}</span>
						</td>
						<%--<td>--%>
							<%--<a  href="javascript:void(0)" onclick="openDialogView('查看工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}&name=view','80%','80%')">--%>
								<%--<span title="${workEngineeringProject.totalProjectName}">${fns:abbr(workEngineeringProject.totalProjectName,30)}</span>--%>
							<%--</a>--%>
						<%--</td>--%>
							<td>
								<a  href="javascript:void(0)" onclick="openDialogView('查看工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}&name=view','80%','80%')">
									<span title="${workEngineeringProject.projectId.name}">${fns:abbr(workEngineeringProject.projectId.name,30)}</span>
								</a>
							</td>
						<td>
							<span title="${workEngineeringProject.reportNumber}">${fns:abbr(workEngineeringProject.reportNumber,30)}</span>
						</td>

						<td>
							${fns:getMainDictLabel(workEngineeringProject.businessType, 'business_type', '')}
						</td>
						<td>
								<a  href="javascript:void(0)" onclick="openDialogView('查看客户管理', '${ctx}/workclientinfo/workClientInfo/detail?id=${workEngineeringProject.workClientInfo.id}','80%','80%')">
									<span title="${workEngineeringProject.workClientInfo.name}">${fns:abbr(workEngineeringProject.workClientInfo.name,30)}</span>
								</a>
						</td>
						<td>
								${fns:abbr(workEngineeringProject.hostOfficeMasterName,30)}
						</td>
						<td>
							<fmt:formatDate value="${workEngineeringProject.createDate}" pattern="yyyy-MM-dd"/>
						</td>
						<td>
							${fns:getDictLabel(workEngineeringProject.status, 'engineering_type', '')}
						</td>
						<%--<td>
							<c:choose>
								<c:when test="${workEngineeringProject.status eq '1' && fns:getUser().id eq workEngineeringProject.createBy.id}">
									<a href="${ctx}/workengineeringproject/workEngineeringProject/startposs?id=${workEngineeringProject.id}" onclick="return confirmx('确认要发起项目分配吗？', this.href)"   class="btn btn-info btn-xs"> 发起项目分配</a>
								</c:when>
								<c:when test="${workEngineeringProject.status eq '2' && name}">
									<a href="javascript:void(0)" onclick="openDialogre('项目分配', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}&name=edit','80%','80%')" class="btn btn-success btn-xs" > 项目分配</a>
								</c:when>
								<c:otherwise>
									<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('当前无操作权限!',{icon:2})" class="btn btn-default btn-xs">项目分配</a>
								</c:otherwise>
							</c:choose>
						</td>--%>
						<td>
							<div style="text-align: center">
							<c:choose>
								<c:when test="${workEngineeringProject.status ne '1' || not empty workEngineeringProject.remarks}">
										<a href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/workengineeringproject/workEngineeringProject/getProcess?id=${workEngineeringProject.id}&name=1','80%','80%')" class="btn btn-info btn-xs" > 流程追踪</a>
								</c:when>
								<c:otherwise>
									<a href="${ctx}/workengineeringproject/workEngineeringProject/startposs?id=${workEngineeringProject.id}" onclick="return confirmx('确认要发起项目分配吗？', this.href)"   class="btn btn-info btn-xs"> 发起项目分配</a>
								</c:otherwise>
							</c:choose>
							</div>
						</td>
						<td>
							<div style="text-align: center">
							<c:choose>
								<c:when test="${zg || fns:getUser().id eq workEngineeringProject.createBy.id ||
								fn:containsIgnoreCase(workEngineeringProject.hostOfficeMaster,fns:getUser().id) ||fn:containsIgnoreCase(workEngineeringProject.jointlyOfficeMaster,fns:getUser().id) ||
								 fn:containsIgnoreCase(workEngineeringProject.hostOfficeMember,fns:getUser().id) ||fn:containsIgnoreCase(workEngineeringProject.jointlyOfficeMember,fns:getUser().id)}">
									<c:choose>
										<c:when test="${not empty workEngineeringProject.remarks && workEngineeringProject.remarks eq '重新申请' && workEngineeringProject.queryCon eq 'true' && fns:getUser().id eq workEngineeringProject.createBy.id}">
											<a href="javascript:void(0)" onclick="openDialogreToo('重新申请项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
											<a href="${ctx}/workengineeringproject/workEngineeringProject/delete?id=${workEngineeringProject.id}" onclick="return confirmx('确认要删除该登记项目吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
										</c:when>
										<c:when test="${empty workEngineeringProject.proofreadStatus && workEngineeringProject.status > 2 && workEngineeringProject.status < 6}">
											<a href="javascript:void(0)" onclick="openDialog('修改工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
											<a href="${ctx}/workengineeringproject/workEngineeringProject/delete?id=${workEngineeringProject.id}" onclick="return confirmx('确认要删除该登记项目吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
										</c:when>
										<c:when test="${(zg && workEngineeringProject.proofreadStatus == 3) || workEngineeringProject.proofreadStatus == 4}">
											<a href="javascript:void(0)" onclick="openDialog('修改工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
											<a href="${ctx}/workengineeringproject/workEngineeringProject/delete?id=${workEngineeringProject.id}" onclick="return confirmx('确认要删除该登记项目吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
										</c:when>
										<c:when test="${empty workEngineeringProject.queryCon && fns:getUser().id eq workEngineeringProject.createBy.id && workEngineeringProject.status == 6}">
											<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('您没有权限修改此项目!',{icon:2})" class="btn btn-default btn-xs"><i class="fa fa-edit"></i>修改</a>
											<a href="${ctx}/workengineeringproject/workEngineeringProject/delete?id=${workEngineeringProject.id}" onclick="return confirmx('确认要删除该登记项目吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
										</c:when>
										<c:otherwise>
											<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('您没有权限修改此项目!',{icon:2})" class="btn btn-default btn-xs"><i class="fa fa-edit"></i>修改</a>
											<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('您没有权限删除此项目!',{icon:2})" class="btn btn-default btn-xs"><i class="fa fa-trash"></i>删除</a>
										</c:otherwise>
									</c:choose>
									<%--<c:choose>
										<c:when test="${workEngineeringProject.proofreadStatus == 3 && !zg}">
											</c:when>
										<c:otherwise>
											</c:otherwise>
									</c:choose>--%>
								</c:when>
							<c:otherwise>
								<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('您没有权限修改此项目!',{icon:2})" class="btn btn-default btn-xs"><i class="fa fa-edit"></i>修改</a>
								<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('您没有权限删除此项目!',{icon:2})" class="btn btn-default btn-xs"><i class="fa fa-trash"></i>删除</a>
							</c:otherwise>
						</c:choose>
							</div>
						</td>
					</tr>
				</c:forEach>
			</c:when>
			<c:otherwise>
				<tr>
					<td colspan="15" align="center">
						暂无数据
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>