<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>已审核列表</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {
            laydate.render({
                elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'datetime'
            });
            laydate.render({
                elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'datetime'
            });
        });
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<%--<ul class="nav nav-tabs">--%>
					<%--<li><a href="${ctx}/workfullexecute/workFullExecute/auditTodo?workFullManageId=${workFullExecute.workFullManageId}">待审核列表</a></li>--%>
					<%--<li class="active"><a href="${ctx}/workfullexecute/workFullExecute/auditHistory?workFullManageId=${workFullExecute.workFullManageId}">已审核列表</a></li>--%>
					<%--<li><a href="${ctx}/workfullexecute/workFullExecute/list?workFullManageId=${workFullExecute.workFullManageId}">项目实施列表</a></li>--%>
				<%--</ul>--%>
				<ul class="nav nav-tabs">
					<li><a href="${ctx}/workfullexecute/workFullExecute/workfullmanageList">项目列表</a></li>
					<li><a href="${ctx}/workfullexecute/workFullExecute/auditTodo">待审核列表</a></li>
					<li  class="active"><a href="${ctx}/workfullexecute/workFullExecute/auditHistory">已审核列表</a></li>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="act"  method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<div class="form-group">
							<label>创建时间：</label>
							<input id="beginDate"  name="beginDate"  type="text" readonly="readonly" maxlength="20" style="width:200px;" class="laydate-icondate form-control layer-date input-sm"
								   value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
							　--　
							<input id="endDate" name="endDate" type="text" readonly="readonly" maxlength="20" style="width:200px;" class="laydate-icondate form-control layer-date input-sm"
								   value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
						</div>
					</form:form>
					<br/>
				</div>
			</div>
			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<th style="text-align: center;width: 10%">流程发起人</th>
					<th style="text-align: center;width: 10%">流程名称</th>
					<th style="text-align: center;width: 10%">流程版本</th>
					<th style="text-align: center;width: 25%">项目实施</th>
					<th style="text-align: center;width: 30%">所属项目</th>
					<th style="text-align: center;width: 15%">流程发起时间</th>
				</tr>
				</thead>
				<tbody>
				<c:forEach items="${list}" var="workFullExecute">
					<c:set var="task" value="${workFullExecute.act.task}" />
					<c:set var="vars" value="${workFullExecute.act.vars}" />
					<c:set var="procDef" value="${workFullExecute.act.procDef}" />
					<c:set var="status" value="${workFullExecute.act.status}" />
					<tr>
						<td>${workFullExecute.act.vars.map.applyUserId}</td>
						<td>${procDef.name}</td>
						<td><b title='流程版本号'>V: ${procDef.version}</b></td>
						<td>
							<shiro:hasPermission name="workfullexecute:workFullExecute:view">
								<a href="javascript:void(0)" onclick="openDialogView('查看项目实施', '${ctx}/workfullexecute/workFullExecute/form?id=${workFullExecute.id}&dialog=view','80%','80%')">
									<span title="${workFullExecute.fileName}">${fns:abbr(workFullExecute.fileName, 30)}</span>
								</a>
							</shiro:hasPermission>
						</td>
						<td>
							<a  href="javascript:void(0)" onclick="openDialogView('查看项目概况', '${ctx}/workfullmanage/workFullManage/form?id=${workFullExecute.workFullManage.id}&tabId=0','80%','80%')">
								<span title="${workFullExecute.workFullManage.fullProjectName}">${fns:abbr(workFullExecute.workFullManage.fullProjectName, 30)}</span>
							</a>
						</td>
						<td><fmt:formatDate value="${workFullExecute.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
					</tr>
				</c:forEach>
				</tbody>
			</table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
		<td>${act.vars.map.applyUserId}</td>
	</div>
</div>
</body>
</html>