<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>全过程监控</title>
	<meta name="decorator" content="default"/>
	<%@include file="/webpage/include/treetable.jsp" %>
	<script type="text/javascript">
		$(function(){
            $("#treeTable").treeTable({expandLevel : 2,column:1}).show();
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp('slow');
                    $(this).text("更多").removeClass("fa fa-chevron-up").addClass("fa fa-chevron-down");
                    //document.getElementById("moresees").style.visibility = "hidden";
                }else{
                    $('#moresees').slideDown('slow');
                    $(this).text("收起").removeClass("fa fa-chevron-down").addClass("fa fa-chevron-up");
                    //document.getElementById("moresees").style.visibility = "visible";
                }
            });
		});

        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['保存','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var $document = iframeWin.contentWindow.document;
                    var workFullId = $($document.getElementById("workFullId")).val();
                    var status = $($document.getElementById("status")).val();
//                    location.href="?id="+workFullId+"&status="+status;
                    $.ajax({url:'${ctx}/workfullmanage/workFullManage/updStatusById',data:{"id":workFullId,"status":status},success:function(msg){
                        if(msg){
							location.reload();
							parent.layer.close(index);
						}
					}});
                },
                cancel: function(index){
                }
            });
        }
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>项目登记 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    --%>
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workFullManage" action="${ctx}/workfullmanage/workFullManage/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<label>项目编号：</label>
			<form:input path="fullProjectNumber" htmlEscape="false"    class="form-control required"/>
			<label>项目名称：</label>
			<form:input path="fullProjectName" htmlEscape="false"    class="form-control required"/>
			<label>客户单位：</label>
			<form:input path="ciName" htmlEscape="false"    class="form-control required"/>
			<p></p>

		 </div>

		<div style="display:none;margin-top: 15px" id="moresees">
			<label>项目状态：</label>
			<form:select path="fullProjectStatus" class="form-control required">
				<form:option value="" label=""/>
				<form:options items="${fns:getDictList('full_project_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
			<label>行业分类：</label>
			<form:select path="psort"  class="form-control m-b">
				<form:option value="" label=""/>
				<form:options items="${fns:getDictList('psort')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
			<p></p>
		</div>
	</form:form>
	<br/>
	</div>
	</div>

	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workfullmanage:workFullManage:add">
				<table:addRow url="${ctx}/workfullmanage/workFullManage/form" title="项目登记"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
	        <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>

	<!-- 表格 -->
	<table id="treeTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;width: 10%"  class="sort-column fullProjectNumber">项目编号</th>
				<th style="text-align: center;width: 15%"  class="sort-column fullProjectName">项目名称</th>
				<th style="text-align: center;width: 15%"  class="sort-column ciName">客户单位</th>
				<th style="text-align: center;width: 15%"  class="sort-column createDate">创建日期</th>
				<th style="text-align: center;width: 8%"  class="sort-column fullProjectStatus">项目状态</th>
				<th style="text-align: center;width: 10%"  class="sort-column ''">项目立项</th>
				<th style="text-align: center;width: 10%"  class="sort-column ''">项目准备</th>
				<th style="text-align: center;width: 15%">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:choose>
			<c:when test="${not empty page.list}">
				<c:forEach items="${page.list}" var="workFullManage">
					<tr id="${workFullManage.id}" pId="${workFullManage.totalFullId ne '1'?workFullManage.totalFullId:'0'}">
						<td>
							<span title="${workFullManage.fullProjectNumber}">${fns:abbr(workFullManage.fullProjectNumber,30)}</span>
						</td>
						<td>
							<a  href="javascript:void(0)" onclick="openDialogView('查看项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=0','80%','80%')">
								<span title="${workFullManage.fullProjectName}">${fns:abbr(workFullManage.fullProjectName,30)}</span>
							</a>
						</td>
						<td>
							<a  href="javascript:void(0)" onclick="openDialogView('查看客户信息', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=3','80%','80%')">
								<span title="${workFullManage.ciName}">${fns:abbr(workFullManage.ciName,30)}</span>
							</a>
						</td>
						<td>
							<fmt:formatDate value="${workFullManage.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
						</td>
						<td>
							${fns:getDictLabel(workFullManage.fullProjectStatus, 'full_project_status', '')}
						</td>
						<td>
							<div style="text-align: center">
							<c:choose>
								<c:when test="${fn:contains(workFullManage.hostMaster, fns:getUser().id) or workFullManage.createBy.id == fns:getUser().id}">
									<a href="javascript:void(0)" onclick="openDialogre('项目立项','${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=1','80%','80%')" class="btn btn-info btn-xs">项目立项</a>
								</c:when>
								<c:otherwise>
									<a href="javascript:parent.layer.msg('只有项目登记人和项目负责人可操作',{icon:5})" class="btn btn-default btn-xs">项目立项</a>
								</c:otherwise>
							</c:choose>
							</div>
						</td>
						<td>
							<div style="text-align: center">
							<c:choose>
								<c:when test="${workFullManage.fullProjectStatus >= 2}">
									<c:choose>
										<c:when test="${fn:contains(workFullManage.hostMaster, fns:getUser().id) or workFullManage.createBy.id == fns:getUser().id}">
											<a href="javascript:void(0)" onclick="openDialogre('项目准备','${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=2','80%','80%')" class="btn btn-info btn-xs">项目准备</a>
										</c:when>
										<c:otherwise>
											<a href="javascript:parent.layer.msg('只有项目登记人和项目负责人可操作',{icon:5})" class="btn btn-default btn-xs">项目准备</a>
										</c:otherwise>
									</c:choose>
								</c:when>
								<c:otherwise>
									<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('项目还未到准备阶段',{icon:5})" class="btn btn-default btn-xs">项目准备</a>
								</c:otherwise>
							</c:choose>
							</div>
						</td>
						<td>
							<div style="text-align: center">
							<shiro:hasPermission name="workfullmanage:workFullManage:edit">
								<c:choose>
									<c:when test="${fn:contains(workFullManage.hostMaster, fns:getUser().id) or workFullManage.createBy.id == fns:getUser().id}">
										<a href="javascript:void(0)" onclick="openDialog('修改项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
									</c:when>
									<c:otherwise>
										<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('您没有权限做该操作',{icon:5})" class="btn btn-default btn-xs" ><i class="fa fa-edit"></i> 修改</a>
									</c:otherwise>
								</c:choose>
							</shiro:hasPermission>
							<shiro:hasPermission name="workfullmanage:workFullManage:del">
								<c:choose>
									<c:when test="${fn:contains(workFullManage.hostMaster, fns:getUser().id) or workFullManage.createBy.id == fns:getUser().id}">
										<c:choose>
											<c:when test="${workFullManage.fullProjectStatus == 1}">
												<a href="${ctx}/workfullmanage/workFullManage/delete?id=${workFullManage.id}" onclick="return confirmx('确认要删除该项目登记吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
											</c:when>
											<c:otherwise>
												<a href="javascript:parent.layer.msg('您没有权限做该操作',{icon:5})" class="btn btn-default btn-xs"><i class="fa fa-trash"></i> 删除</a>
											</c:otherwise>
										</c:choose>
									</c:when>
									<c:otherwise>
										<a href="javascript:parent.layer.msg('您没有权限做该操作',{icon:5})" class="btn btn-default btn-xs"><i class="fa fa-trash"></i> 删除</a>
									</c:otherwise>
								</c:choose>
							</shiro:hasPermission>
							</div>
						</td>
					</tr>
				</c:forEach>
			</c:when>
			<c:otherwise>
				<tr>
					<td colspan="9" align="center">暂无数据</td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>

		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>