<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目登记管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/webpage/include/treetable.jsp" %>
	<script type="text/javascript">
        $(function(){
            $("#treeTable").treeTable({expandLevel : 2,column:1}).show();
        });
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['保存','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var $document = iframeWin.contentWindow.document;
                    var workFullId = $($document.getElementById("workFullId")).val();
                    var status = $($document.getElementById("status")).val();
                    if(status == 1 || status == 2){ //项目当前状态为项目立项状态
                        status = parseInt(status) + 1;
                        location.href="${ctx}/workfullmanage/workMonitor/updStatusById?id="+workFullId+"&status="+ status;
                    }else if(status ==3){
                        //状态+1
                        if(iframeWin.contentWindow.doSubmit()){
                            setTimeout(function(){
                                top.layer.close(index);
                            },1000);
                        }
                    }else  if(status == 5){
                        if(iframeWin.contentWindow.doSubmit()){
                            setTimeout(function(){
                                top.layer.close(index);
                            },1000);
                        }
                    }
                    setTimeout(function(){
                        location.reload();
                    },500);
                    top.layer.close(index);
                },
                cancel: function(index){
                }
            });
        }
	</script>
	<script>
        function openDialog(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }

            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['确定', '关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    top.layer.close(index);//关闭对话框。
                    location.reload([true]);
                    if(iframeWin.contentWindow.doSubmit() ){

                        setTimeout(function(){top.layer.close(index)}, 0);//延时0.1秒，对应360 7.1版本bug
                    }

                },
                cancel: function(index){
                }
            });

        }
        function openProjectCopmleteDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['提交','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var $document = iframeWin.contentWindow.document;
                    <%--var workProjectCompletionInfoId = $($document.getElementById("workProjectCompletionInfoId")).val();--%>
                    <%--var projectCompleteStatus = $($document.getElementById("projectCompleteStatus")).val();--%>
                    <%--if (projectCompleteStatus==2 || projectCompleteStatus==0){--%>
                    <%--location.href="${ctx}/workprojectcompletion/workProjectCompletion/modify??id="+workProjectCompletionInfoId;--%>

                    <%--}--%>
                    var projectId = $($document.getElementById("projectId")).val();
                    var id = $($document.getElementById("id")).val();
                    location.href="${ctx}/workprojectcompletion/workProjectCompletion/save?id="+id+"&projectId="+projectId;
                    setTimeout(function(){
                        location.reload();
                    },0);
                    top.layer.close(index);
                },

                cancel: function(index){
                }
            });
        }
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<%--<div class="ibox-title">
			<h5>全过程监控列表 </h5>
			<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>
				<ul class="dropdown-menu dropdown-user">
					<li><a href="javascript:void(0)">选项1</a>
					</li>
					<li><a href="javascript:void(0)">选项2</a>
					</li>
				</ul>
				<a class="close-link">
					<i class="fa fa-times"></i>
				</a>
			</div>
		</div>--%>

		<div class="ibox-content">
			<sys:message content="${message}"/>

			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="workFullManage" action="${ctx}/workfullmanage/workMonitor/" method="post" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
						<div class="form-group">
							<label>项目编号：</label>
							<form:input path="fullProjectNumber" htmlEscape="false"    class="form-control required"/>
							<label>项目名称：</label>
							<form:input path="fullProjectName" htmlEscape="false"    class="form-control required"/>
							<label>项目状态：</label>
							<form:select path="fullProjectStatus" class="form-control required">
								<form:option value="" label=""/>
								<form:options items="${fns:getDictList('full_project_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
							</form:select>
							<p></p>
						</div>
					</form:form>
					<br/>
				</div>
			</div>

			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>

			<!-- 表格 -->
			<table id="treeTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<%--<th> <input type="checkbox" class="i-checks"></th>--%>
					<%--<th  class="sort-column fullProjectNumber">总项目名称</th>--%>
					<th style="text-align: center;width: 25%" class="sort-column fullProjectName">项目名称</th>
					<th style="text-align: center;width: 25%" class="sort-column ciName">客户单位</th>
					<th style="text-align: center;width: 15%" class="sort-column createDate">创建日期</th>
					<th style="text-align: center;width: 7%" class="sort-column fullProjectStatus">项目状态</th>
					<th style="text-align: center;width: 7%" class="sort-column ''">项目立项</th>
					<th style="text-align: center;width: 7%" class="sort-column ''">项目准备</th>
					<th style="text-align: center;width: 7%" class="sort-column ''">项目实施</th>
					<th style="text-align: center;width: 7%" class="sort-column ''">项目竣工</th>
					<%--<th  class="sort-column ''">项目归档</th>--%>
				</tr>
				</thead>
				<tbody>
				<c:choose>
					<c:when test="${not empty page.list}">
						<c:forEach items="${page.list}" var="workFullManage">
							<tr  id="${workFullManage.id}" pId="${workFullManage.totalFullId ne '1'?workFullManage.totalFullId:'0'}">
								<%--<td> <input type="checkbox" id="${workFullManage.id}" class="i-checks"></td>--%>
								<%--<td>--%>
										<%--<span title="${workFullManage.fullProjectNumber}">${fns:abbr(workFullManage.fullProjectNumber,30)}</span>--%>

								<%--</td>--%>
								<%--<td>--%>
									<%--<a  href="javascript:void(0)" onclick="openDialogView('查看项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.totalFullId}&tabId=0','80%','80%')">--%>
										<%--<span title="${workFullManage.totalFullName}">${fns:abbr(workFullManage.totalFullName,30)}</span>--%>
									<%--</a>--%>
								<%--</td>--%>
								<td>
									<a  href="javascript:void(0)" onclick="openDialogView('查看项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=0','80%','80%')">
										<span title="${workFullManage.fullProjectName}">${fns:abbr(workFullManage.fullProjectName,30)}</span>
									</a>
								</td>
								<td>
									<span title="${workFullManage.ciName}">${fns:abbr(workFullManage.ciName,30)}</span>
								</td>
								<td>
									<fmt:formatDate value="${workFullManage.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
								</td>
								<td>
									<c:choose>
										<c:when test="${workFullManage.fullProjectStatus  == 4 or workFullManage.fullProjectStatus == 5}">
											项目竣工
										</c:when>
										<c:otherwise>
											${fns:getDictLabel(workFullManage.fullProjectStatus, 'full_project_status', '')}
										</c:otherwise>
									</c:choose>
								</td>
								<td>
									<div style="text-align: center">
									<c:choose>
										<c:when test="${workFullManage.fullProjectStatus == 1}">
											<a href="javascript:void(0)" onclick="openDialogre('项目立项','${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=1','80%','80%')" class="btn btn-info btn-xs btn-circle"><i class="fa fa-close"></i></a>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${workFullManage.fullProjectStatus > 1}">
													<a href="javascript:void(0)" onclick="openDialogView('项目立项','${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=4','80%','80%')" class="btn btn-info btn-xs btn-circle"><i class="fa fa-check"></i></a>
												</c:when>
												<c:otherwise>
													<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('还未到项目立项阶段',{icon:2})" class="btn btn-default btn-xs btn-circle"><i class="fa fa-close"></i></a>
												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
									</div>
								</td>
								<td>
									<div style="text-align: center">
									<c:choose>
										<c:when test="${workFullManage.fullProjectStatus == 2}">
											<a href="javascript:void(0)" onclick="openDialogre('项目准备','${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=2','80%','80%')" class="btn btn-info btn-xs btn-circle"><i class="fa fa-close"></i></a>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${workFullManage.fullProjectStatus > 2}">
													<a href="javascript:void(0)" onclick="openDialogView('项目准备','${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=5','80%','80%')" class="btn btn-info btn-xs btn-circle"><i class="fa fa-check"></i></a>
												</c:when>
												<c:otherwise>
													<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('还未到项目准备阶段',{icon:2})" class="btn btn-default btn-xs btn-circle"><i class="fa fa-close"></i></a>
												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
									</div>
								</td>
								<td>
									<div style="text-align: center">
									<c:choose>
										<c:when test="${workFullManage.fullProjectStatus == 3}">
											<a href="javascript:void(0)" onclick="openDialogre('新增项目实施','${ctx}/workfullexecute/workFullExecute/form?workFullManageId=${workFullManage.id}&dialog=add','80%','80%')" class="btn btn-info btn-xs btn-circle"><i class="fa fa-close"></i></a>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${workFullManage.fullProjectStatus > 3}">
													<a href="javascript:void(0)" onclick="openDialogView('查看项目实施','${ctx}/workfullexecute/workFullExecute/list4monitor?workFullManageId=${workFullManage.id}','80%','80%')" class="btn btn-info btn-xs btn-circle"><i class="fa fa-check"></i></a>
												</c:when>
												<c:otherwise>
													<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('还未到项目实施阶段',{icon:2})" class="btn btn-default btn-xs btn-circle"><i class="fa fa-close"></i></a>
												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
									</div>
								</td>
								<td>
									<div style="text-align: center">
									<c:choose>
										<c:when test="${workFullManage.fullProjectStatus == 4}">
											<c:choose>
												<c:when test="${workFullManage.workProjectCompletion.projectStatus == 1 or workFullManage.workProjectCompletion.projectStatus == 2}">
													<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('流程正在审核中，暂不能操作',{icon:2})" class="btn btn-default btn-xs btn-circle"><i class="fa fa-close"></i></a>
												</c:when>
												<c:otherwise>
													<a href="javascript:void(0)" onclick="openProjectCopmleteDialogre('项目竣工','${ctx}/workprojectcompletion/workProjectCompletion/form?id=${workFullManage.workProjectCompletion.id}&projectId=${workFullManage.id}&tabId=2','80%','80%')" class="btn btn-info btn-xs btn-circle"><i class="fa fa-close"></i></a>
												</c:otherwise>
											</c:choose>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${workFullManage.fullProjectStatus > 4}">
													<a href="javascript:void(0)" onclick="openDialogView('项目竣工','${ctx}/workprojectcompletion/workProjectCompletion/lookForm?id=${workFullManage.workProjectCompletion.id}&projectId=${workFullManage.id}&tabId=2','80%','80%')" class="btn btn-info btn-xs btn-circle"><i class="fa fa-check"></i></a>
												</c:when>
												<c:otherwise>
													<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('还未到项目竣工阶段',{icon:2})" class="btn btn-default btn-xs btn-circle"><i class="fa fa-close"></i></a>
												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
									</div>
								</td>
								<%--<td>--%>
									<%--<c:choose>--%>
										<%--<c:when test="${workFullManage.fullProjectStatus == 5}">--%>
											<%--<a href="javascript:void(0)" onclick="top.openTab('${ctx}/workfullmanage/workFullRecord/list','项目归档',false)" class="btn btn-info btn-xs btn-circle"><i class="fa fa-close"></i></a>--%>
										<%--</c:when>--%>
										<%--<c:otherwise>--%>
											<%--<c:choose>--%>
												<%--<c:when test="${workFullManage.fullProjectStatus > 5}">--%>
													<%--<a href="javascript:void(0)" onclick="openDialogView('项目归档','${ctx}/workfullmanage/workFullRecord/form?id=${workFullManage.workFullRecord.id}&manage_id=${workFullManage.id}&tabId=5','80%','80%')" class="btn btn-info btn-xs btn-circle"><i class="fa fa-check"></i></a>--%>
												<%--</c:when>--%>
												<%--<c:otherwise>--%>
													<%--<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('还未到项目归档阶段',{icon:2})" class="btn btn-default btn-xs btn-circle"><i class="fa fa-close"></i></a>--%>
												<%--</c:otherwise>--%>
											<%--</c:choose>--%>
										<%--</c:otherwise>--%>
									<%--</c:choose>--%>
								<%--</td>--%>
							</tr>
						</c:forEach>
					</c:when>
					<c:otherwise>
						<tr>
							<td colspan="11" align="center">暂无数据</td>
						</tr>
					</c:otherwise>
				</c:choose>
				</tbody>
			</table>

			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>