<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>请假申请</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
		      if(obj == 1){
                  $('#flag').val('yes');
              }else{
                  $('#flag').val('no');
              }
			  $("#inputForm").submit();
			  return true;
		  }else {
              parent.layer.msg("信息未填写完整!", {icon: 5});
          }
		  return false;
		}
		$(document).ready(function() {
			$("#name").focus();
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
		<div class="ibox">
			<div class="ibox-title">
				<h5>当前步骤--[${workFullRecord.act.taskName}] </h5>
				<div class="ibox-tools">
					<a class="collapse-link">
						<i class="fa fa-chevron-up"></i>
					</a>
					<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
						<i class="fa fa-wrench"></i>
					</a>
					<ul class="dropdown-menu dropdown-user">
						<li><a href="javascript:void(0)">选项1</a>
						</li>
						<li><a href="javascript:void(0)">选项2</a>
						</li>
					</ul>
					<a class="close-link">
						<i class="fa fa-times"></i>
					</a>
				</div>
			</div>
		</div>
	</div>
		<c:choose>
			<c:when test="${glygd == false}">
				<form:form id="inputForm" modelAttribute="workFullRecord" action="${ctx}/workfullmanage/workFullRecord/saveAudit" method="post" class="form-horizontal">
					<form:hidden path="id"/>
					<form:hidden path="act.taskId"/>
					<form:hidden path="act.taskName"/>
					<form:hidden path="act.taskDefKey"/>
					<form:hidden path="act.procInsId"/>
					<form:hidden path="act.procDefId"/>
					<form:hidden id="flag" path="act.flag"/>
					<sys:message content="${message}"/>
					<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
						<tbody>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷名称：</label></td>
							<td class="width-25" colspan="3">
									${workFullRecord.recordName}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷号：</label></td>
							<td class="width-35">
								<input type="hidden" name="workFullManage.id" value="${workFullRecord.workFullManage.id}"   class="form-control "/>
									${workFullRecord.recordNumber}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档号：</label></td>
							<td class="width-35">
									${workFullRecord.backRecordNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属卷库：</label></td>
							<td class="width-25">
									${fns:getDictLabel(workFullRecord.recordLibNumber, 'record_lib_number', '')}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档年代：</label></td>
							<td class="width-25">
									${workFullRecord.backRecordYear}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属部门：</label></td>
							<td class="width-25">
									${workFullRecord.backRecordDept.name}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>编制结构：</label></td>
							<td class="width-25">
									${workFullRecord.compleOrganization}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>起止日期：</label></td>
							<td class="width-25">
								<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
									<fmt:formatDate value="${workFullRecord.startTime}" pattern="yyyy-MM-dd" />
								</div>
								<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
									至
								</div>
								<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
									<fmt:formatDate value="${workFullRecord.endTime}" pattern="yyyy-MM-dd" />
								</div>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保管期限：</label></td>
							<td class="width-25">
									${fns:getDictLabel(workFullRecord.retentionPeriod, 'retention_period', '')}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷密级：</label></td>
							<td class="width-25">
									${fns:getDictLabel(workFullRecord.recordSecretLevel, 'record_secret_level', '')}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>全宗号：</label></td>
							<td class="width-25">
									${workFullRecord.fondsNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>目录号：</label></td>
							<td class="width-25">
									${workFullRecord.listsNumber}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档馆号：</label></td>
							<td class="width-25">
									${workFullRecord.recordProNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保险箱号：</label></td>
							<td class="width-25">
									${workFullRecord.strongboxNumber}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>缩微号：</label></td>
							<td class="width-25">
									${workFullRecord.microNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证类别：</label></td>
							<td class="width-25">
									${fns:getDictLabel(workFullRecord.ekkoType, 'ekko_type', '')}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证编号：</label></td>
							<td class="width-25">
								<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
										${workFullRecord.ekkoBstypOne}
								</div>
								<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
									至
								</div>
								<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
										${workFullRecord.ekkoBstypTwo}
								</div>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>报告号：</label></td>
							<td class="width-25">
									${workFullRecord.reportNumber}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>页数：</label></td>
							<td class="width-25">
									${workFullRecord.pageNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷管理员：</label></td>
							<td class="width-25">
									${workFullRecord.manageUser}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>备注：</label></td>
							<td class="width-25" colspan="3">
									${workFullRecord.remarks}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>审批意见：</label></td>
							<td class="width-25" colspan="3">
								<form:textarea path="act.comment" htmlEscape="form-control " rows="4"    class="form-control required"/>
							</td>
						</tr>
						</tbody>
					</table>
					<sys:message content="${message}"/>
					<act:flowChart procInsId="${workFullRecord.act.procInsId}"/>
					<act:histoicFlow procInsId="${workFullRecord.act.procInsId}"/>
				</form:form>
			</c:when>
			<c:otherwise>
				<form:form id="inputForm" modelAttribute="workFullRecord" action="${ctx}/workfullmanage/workFullRecord/save" method="post" class="form-horizontal">
					<form:hidden path="id"/>
					<form:hidden path="act.taskId"/>
					<form:hidden path="act.taskName"/>
					<form:hidden path="act.taskDefKey"/>
					<form:hidden path="act.procInsId"/>
					<form:hidden path="act.procDefId"/>
					<form:hidden id="flag" path="act.flag"/>
					<sys:message content="${message}"/>
					<input type="hidden" id="status" value="${workFullManage.fullProjectStatus}">
					<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
						<tbody>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷名称：</label></td>
							<td class="width-25" colspan="3">
								<form:input path="recordName" htmlEscape="false"    class="form-control required" readonly="true" value="${workFullManage.fullProjectName}"/>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷号：</label></td>
							<td class="width-35">
								<form:input path="recordNumber" htmlEscape="false" readonly="true" value="${workFullManage.fullProjectNumber}"   class="form-control "/>
								<input type="hidden" name="workFullManage.id" value="${workFullManage.id}"   class="form-control "/>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档号：</label></td>
							<td class="width-35">
								<form:input path="backRecordNumber" htmlEscape="false"    class="form-control required"/>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属卷库：</label></td>
							<td class="width-25">
								<form:select path="recordLibNumber" class="form-control required">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('record_lib_number')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档年代：</label></td>
							<td class="width-25">
								<form:input path="backRecordYear" htmlEscape="false"    class="form-control required"/>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属部门：</label></td>
							<td class="width-25">
								<sys:treeselect id="backRecordDept" name="backRecordDept.id" value="${workFullRecord.backRecordDept.id}" labelName="backRecordDept.name" labelValue="${workFullRecord.backRecordDept.name}"
												title="部门" url="/sys/office/treeData?type=2" cssClass="form-control required" allowClear="true" notAllowSelectParent="true"/>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>编制结构：</label></td>
							<td class="width-25">
								<form:input path="compleOrganization" htmlEscape="false"    class="form-control required"/>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>起止日期：</label></td>
							<td class="width-25" style="display: inline-block;">
									<%--<input id="startTime" name="startTime" type="text" maxlength="20" class="laydate-icon form-control layer-date "--%>
									<%--value="<fmt:formatDate value="${workFullRecord.startTime}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>--%>
									<%--<input id="endTime" name="endTime" type="text" maxlength="20" class="laydate-icon form-control layer-date "--%>
									<%--value="/>--%>
								<div class="col-sm-5" style="padding: 0;">
									<input class="form-control layer-date laydate-icon required" id="startTime" name="startTime" value="<fmt:formatDate value="${workFullRecord.endTime}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
								</div>
								<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
									至
								</div>
								<div class="col-sm-5" style="padding: 0;">
									<input class="form-control layer-date laydate-icon required" id="endTime" name="endTime" value="<fmt:formatDate value="${workFullRecord.endTime}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
								</div>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保管期限：</label></td>
							<td class="width-25">
								<form:select path="retentionPeriod" class="form-control required">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('retention_period')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷密级：</label></td>
							<td class="width-25">
								<form:select path="recordSecretLevel" class="form-control required">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('record_secret_level')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>全宗号：</label></td>
							<td class="width-25">
								<form:input path="fondsNumber" htmlEscape="false"    class="form-control required"/>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>目录号：</label></td>
							<td class="width-25">
								<form:input path="listsNumber" htmlEscape="false"    class="form-control required"/>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档馆号：</label></td>
							<td class="width-25">
								<form:input path="recordProNumber" htmlEscape="false"    class="form-control required"/>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保险箱号：</label></td>
							<td class="width-25">
								<form:input path="strongboxNumber" htmlEscape="false"    class="form-control required"/>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>缩微号：</label></td>
							<td class="width-25">
								<form:input path="microNumber" htmlEscape="false"    class="form-control required"/>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证类别：</label></td>
							<td class="width-25">
								<form:select path="ekkoType" class="form-control required">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('ekko_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证编号：</label></td>
							<td class="width-25">
								<div class="col-sm-5" style="padding: 0;">
									<form:input path="ekkoBstypOne" htmlEscape="false" class="form-control required"/>
								</div>
								<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
									至
								</div>
								<div class="col-sm-5" style="padding: 0;">
									<form:input path="ekkoBstypTwo" htmlEscape="false"  class="form-control required"/>
								</div>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>报告号：</label></td>
							<td class="width-25">
								<form:input path="reportNumber" htmlEscape="false"    class="form-control required"/>
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>页数：</label></td>
							<td class="width-25">
								<form:input path="pageNumber" htmlEscape="false"    class="form-control required"/>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷管理员：</label></td>
							<td class="width-25">
								<form:input path="manageUser" id="manageUser" htmlEscape="false" readonly="true" class="form-control required"/>
								<input type="hidden" id="manageId" name="manageId" value="${workFullRecord.manageId}">
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right">备注：</label></td>
							<td class="width-25" colspan="3">
								<form:textarea path="remarks" htmlEscape="false" rows="4"    class="form-control "/>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>审批意见：</label></td>
							<td class="width-25" colspan="3">
								<form:textarea path="act.comment" htmlEscape="form-control " rows="4"    class="form-control required"/>
							</td>
						</tr>
						</tbody>
					</table>
					<sys:message content="${message}"/>
					<act:flowChart procInsId="${workFullRecord.act.procInsId}"/>
					<act:histoicFlow procInsId="${workFullRecord.act.procInsId}"/>
				</form:form>
			</c:otherwise>
		</c:choose>
</body>
</html>

