<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工程计量支付管理</title>
	<meta name="decorator" content="default"/>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="workFullPay"  method="post" class="form-horizontal">
			<form:hidden path="id"/>
			<input type="hidden" value="${manage_id}" name="workFullManageId" />
			<sys:message content="${message}"/>
			<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
			   <tbody>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>申请单位：</label></td>
						<td class="width-35">
							${workFullPay.applyUnit}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>付款内容：</label></td>
						<td class="width-35">
							${workFullPay.payContent}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>施工标段：</label></td>
						<td class="width-35">
							${workFullPay.constructionTender}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>本次申请金额(元)：</label></td>
						<td class="width-35">
							${workFullPay.thisApplyMoney}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>合同金额(元)：</label></td>
						<td class="width-35">
							${workFullPay.arrangeMoney}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>合同最高支付金额(元)：</label></td>
						<td class="width-35">
							${workFullPay.arrangePayMoney}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>核定支付金额(元)：</label></td>
						<td class="width-35">
							${workFullPay.confirmPayMoney}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>累计付款金额(元)：</label></td>
						<td class="width-35">
							${workFullPay.totalPayMoney}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>完成工程产值：</label></td>
						<td class="width-35">
							${workFullPay.completeEngeerValue}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>完成合同付款比例(%)：</label></td>
						<td class="width-35">
							${workFullPay.completePerPay}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>完成进度(%)：</label></td>
						<td class="width-35">
							${workFullPay.completeProcess}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">备注信息：</label></td>
						<td class="width-35" colspan="3">
							${workFullPay.remarks}
						</td>
					</tr>
				</tbody>
			</table>
		</form:form>
</body>
</html>