<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>加班一览</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
	<script type="text/javascript">
        function page(n,s){
            location = '${ctx}/workovertimeform/workOvertimeForm/list/?pageNo='+n+'&pageSize='+s;
        }
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['同意','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn3: function(index){
                }
            });
        }
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li class="active"><a href="${ctx}/workovertimeform/workOvertimeForm/list">加班信息</a></li>
					<li><a href="${ctx}/workovertimeform/workOvertimeForm/workOvertimeTodoList">待办任务</a></li>
					<li><a href="${ctx}/workovertimeform/workOvertimeForm/workOvertimeHistoricList">已办任务</a></li>
					<shiro:hasPermission name="workovertimeform:workOvertimeForm:edit"><li><a href="${ctx}/workovertimeform/workOvertimeForm/form?ids=0">加班申请</a></li></shiro:hasPermission>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="workOvertimeForm" action="${ctx}/workovertimeform/workOvertimeForm/list" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
						<div class="form-group">
							<label>创建时间：</label>
							<input class="form-control layer-date laydate-icon required" id="createDateStart" name="createDateStart" readonly="readonly" value="<fmt:formatDate value="${workOvertimeForm.createDateStart}" pattern="yyyy-MM-dd HH:mm:ss"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
							--
							<input class="form-control layer-date laydate-icon required" id="createDateEnd" name="createDateEnd" readonly="readonly" value="<fmt:formatDate value="${workOvertimeForm.createDateEnd}" pattern="yyyy-MM-dd HH:mm:ss"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
							&nbsp;&nbsp;
							<label>审核状态：</label>
							<form:select path="status"  class="form-control m-b">
								<form:option value="" label=""/>
								<form:options items="${fns:getDictList('act_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
							</form:select>
						</div>
					</form:form>
					<br/>
				</div>
			</div>

			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">

	<%--					<shiro:hasPermission name="workovertimeform:workOvertimeForm:add">
							<table:addRow url="${ctx}/workovertimeform/workOvertimeForm/form" title="加班信息"></table:addRow><!-- 增加按钮 -->
						</shiro:hasPermission>
						<shiro:hasPermission name="workovertimeform:workOvertimeForm:edit">
							<table:editRow url="${ctx}/workovertimeform/workOvertimeForm/form" title="加班信息" id="contentTable"></table:editRow><!-- 编辑按钮 -->
						</shiro:hasPermission>

--%>						<shiro:hasPermission name="workovertimeform:workOvertimeForm:import">
							<table:importExcel url="${ctx}/workovertimeform/workOvertimeForm/import"></table:importExcel><!-- 导入按钮 -->
						</shiro:hasPermission>
						<shiro:hasPermission name="workovertimeform:workOvertimeForm:export">
							<table:exportExcel url="${ctx}/workovertimeform/workOvertimeForm/export"></table:exportExcel><!-- 导出按钮 -->
						</shiro:hasPermission>
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<th style="text-align: center;"> 序号</th>
					<th style="text-align: center;">创建人</th>
					<th style="text-align: center;">开始时间</th>
					<th style="text-align: center;">结束时间</th>
					<th style="text-align: center;">加班时长</th>
					<th style="text-align: center;">加班事由</th>
					<th style="text-align: center;">是否节假日</th>
					<th style="text-align: center;">审批状态</th>
					<th style="text-align: center;">创建时间</th>
					<th style="text-align: center;">操作</th>
				</tr>
				</thead>
				<tbody>
				<tbody>
				<c:forEach items="${page.list}" var="workOvertimeForm" varStatus="status">
					<c:set var="task" value="${workOvertimeForm.task }" />
					<c:set var="pi" value="${workOvertimeForm.processInstance }" />
					<c:set var="hpi" value="${workOvertimeForm.historicProcessInstance }" />
					<tr>
						<td> ${status.index+1}</td>
						<td>${workOvertimeForm.createBy.name}</td>
						<td>${workOvertimeForm.startTime}</td>
						<td>${workOvertimeForm.endTime}</td>
						<td>${workOvertimeForm.longTime}</td>
						<td><%--${workOvertimeForm.reason}--%>
							<span title="${workOvertimeForm.reason}">${fns:abbr(workOvertimeForm.reason, 30)}</span>
						</td>
						<td>${fns:getDictLabel(workOvertimeForm.isHolidays, 'is_holidays', '')}</td>
						<c:if test="${not empty task}">
							<td>${fns:getDictLabel(workOvertimeForm.status, 'act_status', '')}</td>
							<td><fmt:formatDate value="${workOvertimeForm.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
							<td>
								<div style="text-align: center">
								<shiro:hasPermission name="workovertimeform:workOvertimeForm:view">
									<a href="javascript:void(0)" onclick="openDialogView('详情', '${ctx}/workovertimeform/workOvertimeForm/form?id=${workOvertimeForm.id}&readAttr=disabled&name=view','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
								</shiro:hasPermission>&nbsp;&nbsp;
								<c:if test="${workOvertimeForm.createBy.id eq fns:getUser().id}">
									<c:if test="${workOvertimeForm.status!=3 && workOvertimeForm.status!=4 && workOvertimeForm.status!=5}">
										<a href="${ctx}/workovertimeform/workOvertimeForm/revoke?id=${workOvertimeForm.id}&processInstanceId=${workOvertimeForm.processInstanceId}&reason=${workOvertimeForm.reason}" onclick="return confirmx('确认要撤回该信息吗？', this.href)" class="btn btn-warning btn-xs"><i class="glyphicon glyphicon-share-alt"></i> 撤回</a>
									</c:if>
								</c:if>
								<c:if test="${not empty task.assignee}">
									<%--<a href="${ctx}/workovertimeform/workOvertimeForm/applyOnOvertime?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=1" class="btn btn-success btn-xs">任务办理</a>
									--%><a href="javascript:void(0)" onclick="openDialogre('任务办理', '${ctx}/workovertimeform/workOvertimeForm/applyOnOvertime?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=${status}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 任务办理</a>

								</c:if>
								</div>
							</td>
						</c:if>
						<c:if test="${empty task}">
							<td>${fns:getDictLabel(workOvertimeForm.status, 'act_status', '')}</td>
							<td><fmt:formatDate value="${workOvertimeForm.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
							<td>
								<div style="text-align: center">
								<shiro:hasPermission name="workovertimeform:workOvertimeForm:view">
								<a href="javascript:void(0)" onclick="openDialogView('详情', '${ctx}/workovertimeform/workOvertimeForm/form?id=${workOvertimeForm.id}&readAttr=disabled&name=view','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
							</shiro:hasPermission>
								<c:if test="${workOvertimeForm.createBy.id eq fns:getUser().id}">
									<c:if test="${workOvertimeForm.status!=3 && workOvertimeForm.status!=4 && workOvertimeForm.status!=5}">
										<a href="${ctx}/workovertimeform/workOvertimeForm/revoke?id=${workOvertimeForm.id}&processInstanceId=${workOvertimeForm.processInstanceId}&reason=${workOvertimeForm.reason}" onclick="return confirmx('确认要撤回该信息吗？', this.href)" class="btn btn-warning btn-xs"><i class="glyphicon glyphicon-share-alt"></i> 撤回</a>
									</c:if>
								</c:if>
								</div>
							</td>
						</c:if>
					</tr>
				</c:forEach>
				</tbody>
			</table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>