<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>待审核付款申请信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        function page(n,s){
            location = '${ctx}/workreimbur/workReimbur/list/?pageNo='+n+'&pageSize='+s;
        }
        $(document).ready(function() {
            laydate.render({
                elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'datetime'
            });
            laydate.render({
                elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'datetime'
            });
        });
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['同意','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn3: function(index){
                }
            });
        }
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li><a href="${ctx}/workreimbur/workReimbur/list">报销申请信息</a></li>
					<li class="active"><a href="${ctx}/workreimbur/workReimbur/workReimburTodoList">待办任务</a></li>
					<li><a href="${ctx}/workreimbur/workReimbur/workReimburHistoricList">已办任务</a></li>
					<shiro:hasPermission name="workreimbur:workReimbur:edit"><li><a href="${ctx}/workreimbur/workReimbur/form?ids=0">报销申请</a></li></shiro:hasPermission>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="act" action="${ctx}/workreimbur/workReimbur/workReimburTodoList" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<div class="form-group">
							<label>创建时间：</label>
							<input id="beginDate"  name="beginDate"  type="text" readonly="readonly" maxlength="20" style="width:200px;" class="laydate-icondate form-control layer-date input-sm"
								   value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
							　--　
							<input id="endDate" name="endDate" type="text" readonly="readonly" maxlength="20" style="width:200px;" class="laydate-icondate form-control layer-date input-sm"
								   value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
						</div>
					</form:form>
					<br/>
				</div>
			</div>

			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<th style="text-align: center">流程发起人</th>
					<th style="text-align: center">当前环节</th>
					<th style="text-align: center">流程名称</th>
					<th style="text-align: center">流程版本</th>
					<th style="text-align: center"  class="sort-column a.create_date">申请时间</th>
					<th style="text-align: center">创建时间</th>
					<th style="text-align: center">操作</th>
				</tr>
				</thead>
				<tbody>
				<c:forEach items="${list}" var="workReimbur">
					<c:set var="task" value="${workReimbur.act.task}" />
					<c:set var="vars" value="${workReimbur.act.vars}" />
					<c:set var="procDef" value="${workReimbur.act.procDef}" />
					<c:set var="status" value="${workReimbur.act.status}" />
					<tr>
						<td>${workReimbur.act.vars.map.applyUserId}</td>
						<td>${task.name}</td>
						<td>
							<shiro:hasPermission name="workreimbur:workReimbur:view">
								<a href="javascript:void(0)" onclick="openDialogView('详情', '${ctx}/workreimbur/workReimbur/form?id=${workReimbur.id}&readAttr=disabled&name=view','80%', '80%')">
										${procDef.name}
								</a>
							</shiro:hasPermission>
						</td>
						<td><b title='流程版本号'>V: ${procDef.version}</b></td>
						<td><fmt:formatDate value="${workReimbur.createDate}" type="both"/></td>
						<td><fmt:formatDate value="${task.createTime}" type="both"/></td>
						<td>
							<div style="text-align: center">
							<c:if test="${not empty task.assignee}">
								<a href="javascript:void(0)" onclick="openDialogre('任务办理', '${ctx}/workreimbur/workReimbur/applyOnWorkReimbur?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=${status}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 任务办理</a>

								<%--<a href="${ctx}/workreimbur/workReimbur/applyOnWorkReimbur?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=${status}" class="btn btn-success btn-xs">任务办理</a>
						--%>	</c:if>
							</div>
						</td>
					</tr>
				</c:forEach>
				</tbody>
			</table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>