<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>用印一览</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
	<script type="text/javascript">
        function page(n,s){
            location = '${ctx}/worksealform/workSealForm/list/?pageNo='+n+'&pageSize='+s;
        }
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['同意','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn3: function(index){
                }
            });
        }
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li class="active"><a href="${ctx}/worksealform/workSealForm/list">用印信息</a></li>
					<li><a href="${ctx}/worksealform/workSealForm/workSealFormTodoList">待办任务</a></li>
					<li><a href="${ctx}/worksealform/workSealForm/workSealFormHistoricList">已办任务</a></li>
					<shiro:hasPermission name="worksealform:workSealForm:edit"><li><a href="${ctx}/worksealform/workSealForm/form?ids=0">用印申请</a></li></shiro:hasPermission>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="workSealForm" action="${ctx}/worksealform/workSealForm/list" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
						<div class="form-group">
							<label>用印文件名称：</label>
							<form:input path="documentName" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
							&nbsp;&nbsp;<%--<label>申请时间：</label>
							<input id="applicationDate"  name="applicationDate"  type="text" maxlength="20" readonly="readonly" style="width:200px;" class="laydate-icondate form-control layer-date input-sm"/>--%>
									<%--value="<fmt:formatDate value="${workSealForm.applicationDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>--%>
							&nbsp;&nbsp;<label>经办人：</label>
							<sys:treeselect id="user" name="user.id" value="${workSealForm.user.id}" labelName="user.name" labelValue="${workSealForm.user.name}"
											title="用户" url="/sys/office/treeData?type=3" cssClass="form-control input-sm" allowClear="true" notAllowSelectParent="true"/>
							&nbsp;&nbsp;<label>用印部门：</label>
							<sys:treeselect id="office" name="office.id" value="${workSealForm.office.id}" labelName="office.name" labelValue="${workSealForm.office.name}"
											title="部门" url="/sys/office/treeData?type=2" cssClass="form-control input-sm" allowClear="true" notAllowSelectParent="true"/>
							&nbsp;&nbsp;
							<label>审核状态：</label>
							<form:select path="status"  class="form-control m-b">
								<form:option value="" label=""/>
								<form:options items="${fns:getDictList('act_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
							</form:select>
						</div>
					</form:form>
					<br/>
				</div>
			</div>

			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
	<%--
						<shiro:hasPermission name="worksealform:workSealForm:add">
							<table:addRow url="${ctx}/worksealform/workSealForm/form" title="出差信息"></table:addRow><!-- 增加按钮 -->
						</shiro:hasPermission>
						<shiro:hasPermission name="worksealform:workSealForm:edit">
							<table:editRow url="${ctx}/worksealform/workSealForm/form" title="出差信息" id="contentTable"></table:editRow><!-- 编辑按钮 -->
						</shiro:hasPermission>
--%>
						<shiro:hasPermission name="worksealform:workSealForm:import">
							<table:importExcel url="${ctx}/worksealform/workSealForm/import"></table:importExcel><!-- 导入按钮 -->
						</shiro:hasPermission>
						<shiro:hasPermission name="worksealform:workSealForm:export">
							<table:exportExcel url="${ctx}/worksealform/workSealForm/export"></table:exportExcel><!-- 导出按钮 -->
						</shiro:hasPermission>
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<th style="text-align: center;"> 序号</th>
					<th style="text-align: center;"  class="sort-column documentName">用印文件名称</th>
					<th style="text-align: center;"  class="sort-column documentCount">文件个数</th>
					<th style="text-align: center;"  class="sort-column sealType">印章类型</th>
					<th style="text-align: center;"  class="sort-column user.name">经办人</th>
					<th style="text-align: center;"  class="sort-column applicationDate">申请时间</th>
					<th style="text-align: center;"  class="sort-column office.name">用印部门</th>
					<th style="text-align: center;"  class="sort-column reason">用印原因</th>
					<th style="text-align: center;"  class="sort-column workSealForm.status">审批状态</th>
					<th style="text-align: center;"  class="sort-column createDate">创建时间</th>
					<th style="text-align: center;">操作</th>
				</tr>
				</thead>
				<tbody>
				<tbody>
				<c:forEach items="${page.list}" var="workSealForm" varStatus="status">
					<c:set var="task" value="${workSealForm.task }" />
					<c:set var="pi" value="${workSealForm.processInstance }" />
					<c:set var="hpi" value="${workSealForm.historicProcessInstance }" />
					<tr>
						<td> ${status.index+1}</td>
						<td><%--${workSealForm.documentName}--%>
							<span title="${workSealForm.documentName}">${fns:abbr(workSealForm.documentName, 30)}</span>
						</td>
						<td>${workSealForm.documentCount}</td>
						<td>${fns:getMainDictLabel(workSealForm.sealType, 'seal_type', '')}</td>
						<td>${workSealForm.createBy.name}</td>
						<td>${workSealForm.applicationDate}</td>
						<td><%--${workSealForm.office.name}--%>
							<span title="${workSealForm.office.name}">${fns:abbr(workSealForm.office.name, 30)}</span>
						</td>
						<td><%--${workSealForm.reason}--%>
							<span title="${workSealForm.reason}">${fns:abbr(workSealForm.reason, 30)}</span>
						</td>
						<c:if test="${not empty task}">
							<td>${fns:getDictLabel(workSealForm.status, 'act_status', '')}</td>
							<td><fmt:formatDate value="${workSealForm.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
							<td>
								<div style="text-align: center">
								<shiro:hasPermission name="worksealform:workSealForm:view">
									<a href="javascript:void(0)" onclick="openDialogView('详情', '${ctx}/worksealform/workSealForm/form?id=${workSealForm.id}&readAttr=disabled&name=view','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
								</shiro:hasPermission>&nbsp;&nbsp;
								<c:if test="${workSealForm.createBy.id eq fns:getUser().id}">
									<c:if test="${workSealForm.status!=3 && workSealForm.status!=4 && workSealForm.status!=5}">
										<a href="${ctx}/worksealform/workSealForm/revoke?id=${workSealForm.id}&processInstanceId=${workSealForm.processInstanceId}&reason=${workSealForm.reason}" onclick="return confirmx('确认要撤回该信息吗？', this.href)" class="btn btn-warning btn-xs"><i class="glyphicon glyphicon-share-alt"></i> 撤回</a>
									</c:if>
								</c:if>
								<c:if test="${not empty task.assignee}">
									<%--<a href="${ctx}/worksealform/workSealForm/applyOnSealForm?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=1" class="btn btn-success btn-xs">任务办理</a>
									--%><a href="javascript:void(0)" onclick="openDialogre('任务办理', '${ctx}/worksealform/workSealForm/applyOnSealForm?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=${status}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 任务办理</a>

								</c:if>
								</div>
							</td>
						</c:if>
						<c:if test="${empty task}">
							<td>${fns:getDictLabel(workSealForm.status, 'act_status', '')}</td>
							<td><fmt:formatDate value="${workSealForm.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
							<td>
								<div style="text-align: center">
								<shiro:hasPermission name="worksealform:workSealForm:view">
								<a href="javascript:void(0)" onclick="openDialogView('详情', '${ctx}/worksealform/workSealForm/form?id=${workSealForm.id}&readAttr=disabled&name=view','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
							    </shiro:hasPermission>
								<c:if test="${workSealForm.createBy.id eq fns:getUser().id}">
									<c:if test="${workSealForm.status!=3 && workSealForm.status!=4 && workSealForm.status!=5}">
										<a href="${ctx}/worksealform/workSealForm/revoke?id=${workSealForm.id}&processInstanceId=${workSealForm.processInstanceId}&reason=${workSealForm.reason}" onclick="return confirmx('确认要撤回该信息吗？', this.href)" class="btn btn-warning btn-xs"><i class="glyphicon glyphicon-share-alt"></i> 撤回</a>
									</c:if>
								</c:if>
								</div>
							</td>
						</c:if>
					</tr>
				</c:forEach>
				</tbody>
			</table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>