<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>员工信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
            cacuAge('${workStaffBasicInfo.idCard}','1');
		});
	</script>
    <script type="text/javascript">

        function cacuAge(idCard,type){
            if(type=='1'){
                var pattern = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
                if(!pattern.test(idCard)){
                    return;
                }
            }
            var age = 0;
            var year='';
            var months='';
            var days='';
            if(idCard.length==15){
                year = "19"+idCard.substring(6,8);
                months=idCard.substring(8,10);//截取身份证上的月
                days=idCard.substring(10,12);//截取身份证上的日
            }else {
                year=idCard.substring(6,10);//截取身份证上的年
                months=idCard.substring(10,12);//截取身份证上的月
                days=idCard.substring(12,14);//截取身份证上的日
            }

            var myDate = new Date();
            var month = myDate.getMonth() + 1;
            var day = myDate.getDate();
            age = myDate.getFullYear() - year - 1;
            if (months< month || months == month && days <= day) {
                age++;
            }
            if(age<0)age=0;
            $("#age").val(age);
        }
    </script>
</head>
<body>
    <div class="single-form">
        <div class="container view-form">
            <form:form id="inputForm" modelAttribute="workStaffBasicInfo" action="${ctx}/workstaff/workStaffBasicInfo/save" enctype="multipart/form-data" method="post" class="form-horizontal">
                <form:hidden path="id"/>
                <form:hidden path="userId"/>
                <div class="form-group layui-row first">
                    <div class="form-group-label"><h2>基本信息</h2></div>
                    <div class="layui-item layui-col-sm6 lw7" style="padding-right: 0;">
                        <div class="layui-item layui-col-sm12">
                            <label class="layui-form-label">工    号：</label>
                            <div class="layui-input-block">
                                <form:input path="no" htmlEscape="false" readonly="true" class="form-control  layui-input"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm12">
                            <label class="layui-form-label">性    别：</label>
                            <div class="layui-input-block">
                                <input value="${fns:getDictLabel(workStaffBasicInfo.gender,'sex','')}" type="text" readonly="true" class="form-control  layui-input" />
                                <input name="gender" value="${workStaffBasicInfo.gender}" type="hidden" readonly="true" class="form-control  layui-input" />
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm12">
                            <label class="layui-form-label">出生日期：</label>
                            <div class="layui-input-block">
                                <input name="birthday" value="<fmt:formatDate value="${workStaffBasicInfo.birthday}" pattern="yyyy-MM-dd"/>" type="text" readonly="true" class="form-control  layui-input" />
                            </div>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <div style="margin-right: 120px;">
                            <div class="layui-item layui-col-sm12">
                                <label class="layui-form-label">姓    名：</label>
                                <div class="layui-input-block">
                                    <form:input path="name" htmlEscape="false" readonly="true" class="form-control layui-input required"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm12">
                                <label class="layui-form-label">民    族：</label>
                                <div class="layui-input-block">
                                    <input value="${fns:getDictLabel(workStaffBasicInfo.nation,'nation_type','')}" type="text" readonly="true" class="form-control  layui-input" />
                                    <input name="nation" value="${workStaffBasicInfo.nation}" type="hidden" readonly="true" class="form-control  layui-input" />
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm12">
                                <label class="layui-form-label">年    龄：</label>
                                <div class="layui-input-block">
                                    <form:input path="age" htmlEscape="false" readonly="true" class="form-control  layui-input required"/>
                                </div>
                            </div>
                        </div>
                        <div class="profile_box_wrapper">
                            <div class="profile_box">
                                <div id="this_upload_image_div_1">
                                    <div id="this_upload_div_1" style="position:relative;">
                                        <c:choose>
                                            <c:when test="${not empty workStaffBasicInfo.picture}">
                                                <%--<span id="this_upload_close_1" class="pic_close glyphicon glyphicon-remove" onclick="this_close_img(1)"></span>--%>
                                                <img alt="_blank" id="this_upload_image_1" class="upload_ico" style="cursor:pointer;"  src="${workStaffBasicInfo.picture}" />
                                            </c:when>
                                            <c:otherwise>
                                                <img alt="_blank" id="this_upload_image_1" class="upload_ico" style="cursor:pointer;"  src="${pageContext.request.contextPath}/static/common/img/pic_add.png" />
                                            </c:otherwise>
                                        </c:choose>
                                        <input id="this_upload_file_1" type="file" style="display:none"  name="pictureFile"  onchange="this_upload_show_image(1)"  class="form-control"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label">电子邮箱：</label>
                        <div class="layui-input-block">
                            <form:input path="email" htmlEscape="false" readonly="true" class="form-control layui-input email"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label">移动电话：</label>
                        <div class="layui-input-block">
                            <form:input path="mobile" htmlEscape="false" readonly="true" class="form-control  layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label">座机：</label>
                        <div class="layui-input-block">
                            <form:input path="phone" readonly="true" htmlEscape="false"  class="form-control  layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label"><span class="require-item">*</span>归属部门：</label>
                        <div class="layui-input-block">
                            <input name="office.name" value="${workStaffBasicInfo.office.name}" type="text" readonly="true" class="form-control  layui-input" />
                            <input name="office.id" value="${workStaffBasicInfo.office.id}" type="hidden" readonly="true" class="form-control  layui-input" />
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label"><span class="require-item">*</span>岗   位：</label>
                        <div class="layui-input-block ">
                            <input id="roleName" value="${workStaffBasicInfo.roleName}" type="text" readonly class="form-control layui-input" />
                        </div>
                    </div>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label">职    位：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<input name="duty" value="${workStaffBasicInfo.duty}" type="text" readonly="true" class="form-control  layui-input" />--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label">职    级：</label>
                        <div class="layui-input-block with-icon">
                            <form:input path="jobGrade.name" htmlEscape="false"  readonly="true"  class="form-control layui-input required"/>
                            <form:hidden path="jobGrade.id" htmlEscape="false"  readonly="true"  class="form-control layui-input required"/>
                        </div>
                    </div>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label"><span class="require-item">*</span>基本工资：</label>--%>
                        <%--<div class="layui-input-block with-icon">--%>
                            <%--<input id="salary" htmlEscape="false" readonly value="<fmt:formatNumber pattern="#,##0.00#" value="${workStaffBasicInfo.salary}"/>" class="form-control layui-input"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label double-line"><span class="require-item">*</span>是否 TS人员：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<input value="${fns:getDictLabel(workStaffBasicInfo.ts,'yes_no','')}" type="text" readonly="true" class="form-control  layui-input" />--%>
                            <%--<input name="ts" value="${workStaffBasicInfo.ts}" type="hidden" readonly="true" class="form-control  layui-input" />--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label"><span class="require-item">*</span>员工状态：</label>
                        <div class="layui-input-block">
                            <input name="status" value="${workStaffBasicInfo.status}" type="text" readonly="true" class="form-control  layui-input" />
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label"><span class="require-item">*</span>入职日期：</label>
                        <div class="layui-input-block">
                            <input name="entryDate" value="<fmt:formatDate value="${workStaffBasicInfo.entryDate}" pattern="yyyy-MM-dd"/>" type="text" readonly="true" class="form-control  layui-input" />
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label double-line"><span class="require-item">*</span>参加工作日期：</label>
                        <div class="layui-input-block">
                            <input name="workDate" value="<fmt:formatDate value="${workStaffBasicInfo.workDate}" pattern="yyyy-MM"/>" type="text" readonly="true" class="form-control  layui-input" />
                        </div>
                    </div>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label">开户银行：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<input name="bankName" value="${workStaffBasicInfo.bankName}" type="text" readonly="true" class="form-control  layui-input" />--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label">银行卡号：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<form:input path="bankCard" htmlEscape="false" readonly="true" class="form-control layui-input digits"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label">婚姻状况：</label>
                        <div class="layui-input-block">
                            <input name="marriage" value="${workStaffBasicInfo.marriage}" type="text" readonly="true" class="form-control  layui-input" />
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label">政治面貌：</label>
                        <div class="layui-input-block">
                            <input name="politics" value="${workStaffBasicInfo.politics}" type="text" readonly="true" class="form-control  layui-input" />
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label double-line">是否退伍军人：</label>
                        <div class="layui-input-block">
                            <input name="exSoldier" value="${fns:getDictLabel(workStaffBasicInfo.exSoldier,'yes_no','')}" type="text" readonly="true" class="form-control  layui-input" />
                        </div>
                    </div>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label">常住地址：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<form:input path="address" htmlEscape="false" readonly="true" class="form-control layui-input"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <div class="layui-item layui-col-sm6 lw7">
                        <label class="layui-form-label">籍    贯：</label>
                        <div class="layui-input-block">
                            <input name="nativePlace.name" value="${workStaffBasicInfo.nativePlace.name}" type="text" readonly="true" class="form-control  layui-input" />
                        </div>
                    </div>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label">户口所在地：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<form:input path="household" htmlEscape="false" readonly="true" class="form-control layui-input"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label double-line"><span class="require-item">*</span>从事本行业日期：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<input id="industryDate" name="industryDate" type="text" maxlength="20" readonly class="form-control layui-input"--%>
                                   <%--value="<fmt:formatDate value="${workStaffBasicInfo.industryDate}" pattern="yyyy-MM"/>"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label double-line">试用期结束日期：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<input id="tryEndTime"  type="text" maxlength="20" readonly class="form-control layui-input"--%>
                                   <%--value="<fmt:formatDate value="${workStaffBasicInfo.tryEndTime}" pattern="yyyy-MM-dd"/>"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label">离职日期：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<input id="dimissionDate"  type="text" maxlength="20" readonly class="form-control layui-input"--%>
                                   <%--value="<fmt:formatDate value="${workStaffBasicInfo.dimissionDate}" pattern="yyyy-MM-dd"/>"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="layui-item layui-col-sm6 lw7">--%>
                        <%--<label class="layui-form-label double-line">考勤截止日期：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<input id="workEndDate"  type="text" maxlength="20" readonly class="form-control layui-input"--%>
                                   <%--value="<fmt:formatDate value="${workStaffBasicInfo.workEndDate}" pattern="yyyy-MM-dd"/>"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                </div>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>教育经历</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="educationTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="12%"><span class="require-item">*</span>毕业院校</th>--%>
                                <%--<th width="12%">所学专业</th>--%>
                                <%--<th width="12%"><span class="require-item">*</span>学    历</th>--%>
                                <%--<th width="12%">学    位</th>--%>
                                <%--<th width="12%"><span class="require-item">*</span>学历性质</th>--%>
                                <%--<th width="10%"><span class="require-item">*</span>入学日期</th>--%>
                                <%--<th width="10%">毕业日期</th>--%>
                                <%--<th width="10%">学历证书</th>--%>
                                <%--<th width="10%">学位证书</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="educationList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.educationList}" var="education" varStatus="varStatus">--%>
                                <%--<tr>--%>
                                    <%--<td>--%>
                                        <%--${education.school}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${education.major}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                            <%--${fns:getDictLabel(education.edu,'education_level','')}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                            <%--${fns:getDictLabel(education.degree,'degree_level','')}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                            <%--${fns:getDictLabel(education.eduType,'edu_type','')}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${education.startDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${education.endDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td class="text-left op-td">--%>
                                        <%--<c:if test="${not empty education.eduPhoto}"><img src="${education.eduPhoto}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${education.eduPhoto}','90%','90%')" alt=""></c:if>--%>
                                    <%--</td>--%>
                                    <%--<td class="text-left op-td">--%>
                                        <%--<c:if test="${not empty education.degreePhoto}"><img src="${education.degreePhoto}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${education.degreePhoto}','90%','90%')" alt=""></c:if>--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>劳动关系</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="labourTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="12%">合同类型</th>--%>
                                <%--<th width="12%">合同编号</th>--%>
                                <%--<th width="12%">合同期限</th>--%>
                                <%--<th width="11%">合同起始日期</th>--%>
                                <%--<th width="11%">合同终止日期</th>--%>
                                <%--<th width="11%">试用期结束日期</th>--%>
                                <%--<th width="11%">办理日期</th>--%>
                                <%--<th width="20%">文件</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="labourList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.labourList}" var="buyDetails" varStatus="status">--%>
                                <%--<tr>--%>
                                    <%--<td>${fns:getDictLabel(buyDetails.contractType, 'relsp_cType', '')}</td>--%>
                                    <%--<td>${buyDetails.contractNum}</td>--%>
                                    <%--<td>${fns:getDictLabel(buyDetails.contractLimit, 'contract_limit', '')}</td>--%>
                                    <%--<td><fmt:formatDate value="${buyDetails.contractStartTime}" pattern="yyyy-MM-dd"/></td>--%>
                                    <%--<td><fmt:formatDate value="${buyDetails.contractEndTime}" pattern="yyyy-MM-dd"/></td>--%>
                                    <%--<td><fmt:formatDate value="${buyDetails.tryEndTime}" pattern="yyyy-MM-dd"/></td>--%>
                                    <%--<td><fmt:formatDate value="${buyDetails.transactTime}" pattern="yyyy-MM-dd"/></td>--%>
                                        <%--&lt;%&ndash;试用期结束时间<td><fmt:formatDate value="${buyDetails.tryEndTime}" pattern="yyyy-MM-dd"/></td>&ndash;%&gt;--%>

                                    <%--<c:forEach items="${buyDetails.workAttachments}" var = "workClientAttachment" varStatus="status">--%>
                                        <%--<c:choose>--%>
                                            <%--<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')--%>
																		   <%--or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')--%>
																		   <%--or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')--%>
																		   <%--or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')--%>
																		   <%--or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">--%>
                                                <%--<td><img src="${workClientAttachment.url}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>--%>
                                            <%--</c:when>--%>
                                            <%--<c:otherwise>--%>
                                                <%--<c:choose>--%>
                                                    <%--<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">--%>
                                                        <%--<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>--%>
                                                    <%--</c:when>--%>
                                                    <%--<c:otherwise>--%>
                                                        <%--<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>--%>
                                                    <%--</c:otherwise>--%>
                                                <%--</c:choose>--%>
                                            <%--</c:otherwise>--%>
                                        <%--</c:choose>--%>
                                    <%--</c:forEach>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>外语语种</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="languageTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="20%"><span class="require-item">*</span>语种</th>--%>
                                <%--<th width="20%"><span class="require-item">*</span>熟练程度</th>--%>
                                <%--<th width="20%">证书名称</th>--%>
                                <%--<th width="20%">获证日期</th>--%>
                                <%--<th width="20%">文件</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="languageList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.languageList}" var="language" varStatus="varStatus">--%>
                                <%--<tr>--%>
                                    <%--<td>--%>
                                            <%--${fns:getMainDictLabel(language.language,'language','')}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                            <%--${fns:getDictLabel(language.proficiency,'proficiency','')}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                            <%--${language.certificate}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${language.certifDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<c:if test="${not empty language.filePath}"><img src="${language.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${language.filePath}','90%','90%')" alt=""></c:if>--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>工作经历</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="experienceTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="15%"><span class="require-item">*</span>所在单位</th>--%>
                                <%--<th width="15%"><span class="require-item">*</span>工作部门</th>--%>
                                <%--<th width="15%"><span class="require-item">*</span>职务或岗位</th>--%>
                                <%--<th width="15%"><span class="require-item">*</span>起始日期</th>--%>
                                <%--<th width="15%"><span class="require-item">*</span>终止日期</th>--%>
                                <%--<th width="13%">证明人</th>--%>
                                <%--<th width="12%">证明人联系方式</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="experienceList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.experienceList}" varStatus="varStatus" var="experience">--%>
                                <%--<tr>--%>
                                    <%--<td>--%>
                                        <%--${experience.company}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${experience.dept}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${experience.duty}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${experience.startDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${experience.endDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${experience.certifier}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${experience.certifierTel}--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>执业资格证书</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="certificateTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="10%"><span class="require-item">*</span>证书名称</th>--%>
                                <%--<th width="10%"><span class="require-item">*</span>证书编号</th>--%>
                                <%--<th width="10%"><span class="require-item">*</span>发证机关</th>--%>
                                <%--<th width="10%"><span class="require-item">*</span>发证日期</th>--%>
                                <%--<th width="10%">注册日期</th>--%>
                                <%--<th width="10%">注册证书编号</th>--%>
                                <%--<th width="10%">专业</th>--%>
                                <%--<th width="10%">等级</th>--%>
                                <%--<th width="10%">取得方式</th>--%>
                                <%--<th width="10%">文件</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="certificateList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.certificateList}" var="certificate" varStatus="varStatus">--%>
                                <%--<tr>--%>
                                    <%--<td>--%>
                                            <%--${certificate.name}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${certificate.num}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${certificate.issuingAuthority}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${certificate.issuingDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${certificate.registDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${certificate.registNum}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${certificate.major}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${certificate.grade}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                            <%--${certificate.issType}--%>
                                    <%--</td>--%>
                                    <%--<td >--%>
                                        <%--<c:if test="${not empty certificate.filePath}"><img src="${certificate.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${certificate.filePath}','90%','90%')" alt=""></c:if>--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>职称</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="titleTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="20%"><span class="require-item">*</span>职称名称</th>--%>
                                <%--<th width="15%"><span class="require-item">*</span>职称等级</th>--%>
                                <%--<th width="15%"><span class="require-item">*</span>取得日期</th>--%>
                                <%--<th width="15%"><span class="require-item">*</span>取得途径</th>--%>
                                <%--<th width="20%"><span class="require-item">*</span>审批单位</th>--%>
                                <%--<th width="15%">文件</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="titleList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.titleList}" var="title" varStatus="varStatus">--%>
                                <%--<tr>--%>
                                    <%--<td>--%>
                                        <%--${title.name}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${title.grade}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${title.startDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${title.pathway}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${title.approvalAuthority}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<c:if test="${not empty title.filePath}"><img src="${title.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${title.filePath}','90%','90%')" alt=""></c:if>--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>家庭情况</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="familyTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="20%"><span class="require-item">*</span>与本人的关系</th>--%>
                                <%--<th width="20%"><span class="require-item">*</span>成员姓名</th>--%>
                                <%--<th width="20%"><span class="require-item">*</span>身份证号码</th>--%>
                                <%--<th width="20%"><span class="require-item">*</span>成员性别</th>--%>
                                <%--<th width="20%"><span class="require-item">*</span>成员联系方式</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="familyList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.familyList}" var="family" varStatus="varStatus">--%>
                                <%--<tr>--%>
                                    <%--<td>--%>
                                        <%--${family.relation}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${family.name}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${family.idCard}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                            <%--${family.gender}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${family.contact}--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>培训经历</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="trainingTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="10%"><span class="require-item">*</span>培训名称</th>--%>
                                <%--<th width="10%">培训机构</th>--%>
                                <%--<th width="10%">培训地点</th>--%>
                                <%--<th width="10%">培训起始日期</th>--%>
                                <%--<th width="10%">培训终止日期</th>--%>
                                <%--<th width="10%"><span class="require-item">*</span>培训类型</th>--%>
                                <%--<th width="10%">学时</th>--%>
                                <%--<th width="10%"><span class="require-item">*</span>所获证书</th>--%>
                                <%--<th width="10%">文件</th>--%>
                                <%--<th width="10%">备注</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="trainingList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.trainingList}" var="training" varStatus="varStatus">--%>
                                <%--<tr>--%>
                                    <%--<td>--%>
                                        <%--${training.name}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${training.agency}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${training.address}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${training.startDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<fmt:formatDate value="${training.endDate}" pattern="yyyy-MM-dd"/>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                            <%--${training.type}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${training.hours}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${training.certificate}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<c:if test="${not empty training.filePath}"><img src="${training.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${training.filePath}','90%','90%')" alt="${training.fileName}"></c:if>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${training.remarks}--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>社会及行业职务</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="socialPositionTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="25%"><span class="require-item">*</span>职务名称</th>--%>
                                <%--<th width="25%">任职开始日期</th>--%>
                                <%--<th width="25%">任职结束日期</th>--%>
                                <%--<th width="25%">任职机构</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="socialPositionList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.socialPositionList}" varStatus="varStatus" var="socialPosition">--%>
                            <%--<tr>--%>
                                <%--<td>--%>
                                    <%--${socialPosition.name}--%>
                                <%--</td>--%>
                                <%--<td>--%>
                                    <%--<fmt:formatDate value="${socialPosition.startDate}" pattern="yyyy-MM-dd"/>--%>
                                <%--</td>--%>
                                <%--<td>--%>
                                    <%--<fmt:formatDate value="${socialPosition.endDate}" pattern="yyyy-MM-dd"/>--%>
                                <%--</td>--%>
                                <%--<td>--%>
                                    <%--${socialPosition.organization}--%>
                                <%--</td>--%>
                            <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>奖惩情况</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="rewardsTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="10%"><span class="require-item">*</span>奖惩类型</th>--%>
                                <%--<th width="20%"><span class="require-item">*</span>奖惩名称</th>--%>
                                <%--<th width="15%"><span class="require-item">*</span>时间</th>--%>
                                <%--<th width="15%">级别</th>--%>
                                <%--<th width="20%"><span class="require-item">*</span>原因</th>--%>
                                <%--<th width="20%"><span class="require-item">*</span>授予机构</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="rewardsList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.rewardsList}" varStatus="varStatus" var="rewards">--%>
                                <%--<tr>--%>
                                    <%--<td>--%>
                                            <%--${rewards.type}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${rewards.name}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${rewards.atTime}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${rewards.grade}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${rewards.reason}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${rewards.organization}--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>工作业绩</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="achievementTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="20%">项目名称</th>--%>
                                <%--<th width="15%">主委托方</th>--%>
                                <%--<th width="15%">工程分类</th>--%>
                                <%--<th width="15%">规模类型/单位/数量</th>--%>
                                <%--<th width="15%">担任职务</th>--%>
                                <%--<th width="20%">参与内容</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="achievementList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.achievementList}" var="achievement" varStatus="varStatus">--%>
                                <%--<tr>--%>
                                    <%--<td class="text-center">--%>
                                            <%--${achievement.projName}--%>
                                    <%--</td>--%>
                                    <%--<td class="text-center">--%>
                                            <%--${achievement.projClient}--%>
                                    <%--</td>--%>
                                    <%--<td class="text-center">--%>
                                            <%--${achievement.category}--%>
                                    <%--</td>--%>
                                    <%--<td class="text-center">--%>
                                            <%--${achievement.unitNumber}--%>
                                    <%--</td>--%>
                                    <%--<td class="text-center">--%>
                                            <%--${achievement.duty}--%>
                                    <%--</td>--%>
                                    <%--<td class="text-center">--%>
                                            <%--${achievement.content}--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
                <%--<div class="form-group layui-row">--%>
                    <%--<div class="form-group-label"><h2>电子档案</h2></div>--%>
                    <%--<div class="layui-item layui-col-xs12 form-table-container">--%>
                        <%--<table id="recordTable" class="table table-bordered table-condensed details">--%>
                            <%--<thead>--%>
                            <%--<tr>--%>
                                <%--<th width="25%"><span class="require-item">*</span>档案名称</th>--%>
                                <%--<th width="25%">编号</th>--%>
                                <%--<th width="25%">文件</th>--%>
                                <%--<th width="25%">验证</th>--%>
                            <%--</tr>--%>
                            <%--</thead>--%>
                            <%--<tbody id="recordList">--%>
                            <%--<c:forEach items="${workStaffBasicInfo.recordList}" var="record" varStatus="varStatus">--%>
                                <%--<tr>--%>
                                    <%--<td>--%>
                                        <%--${record.name}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${record.num}--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--<c:if test="${not empty record.filePath}"><img src="${record.filePath}" width="24" height="24" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${record.filePath}','90%','90%')" alt="${record.fileName}"></c:if>--%>
                                    <%--</td>--%>
                                    <%--<td>--%>
                                        <%--${record.status}--%>
                                    <%--</td>--%>
                                <%--</tr>--%>
                            <%--</c:forEach>--%>
                            <%--</tbody>--%>
                        <%--</table>--%>
                    <%--</div>--%>
                <%--</div>--%>
            </form:form>
        </div>
    </div>
</body>
</html>