/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontroltable.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectcontroltable.entity.ProjectControlTable;

import java.util.List;

/**
 * 过程控制表DAO接口
 * @author 马鹏波
 * @version 2018-06-08
 */
@MyBatisDao
public interface ProjectControlTableDao extends CrudDao<ProjectControlTable> {

    public List<ProjectControlTable> getControlData(ProjectControlTable projectControlTable);

    public int delControlData(ProjectControlTable projectControlTable);

    int updatePfId(ProjectControlTable projectControlTable);

    public List<ProjectControlTable> findListById(ProjectControlTable projectControlTable);
}