package com.jeeplus.modules.projectrecord.dao;

import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workclientinfo.entity.WorkClientLinkman;
import com.jeeplus.modules.workprequalification.entity.WorkProjectLinkman;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@MyBatisDao
public interface ProjectClientLinkmanDao {

    public void batchInsert(Map map);

    public void deleteProjectLinkmans(@Param("projectId") String projectId,@Param("isEntrust")int isEntrust);

    /**
     * 根据姓名和委托方（office）查询联系人详细信息
     * @param workClientLinkman
     * @return
     */
    public WorkClientLinkman getLinkManByNameAndOffice(WorkClientLinkman workClientLinkman);
}
