/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.pushinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.pushinfo.entity.Pushinfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 测试DAO接口
 * @author yangfan
 * @version 2017-07-28
 */
@MyBatisDao
public interface PushinfoDao extends CrudDao<Pushinfo> {

    /**
     * 根据ID获取Pushinfo
     * @param pushinfo
     * @return
     */
    public List<Pushinfo> getByPushId(Pushinfo pushinfo);
    public List<Pushinfo> findPushList(Pushinfo pushinfo);

    int updateDelflagByPushId(@Param("pushId") String pushId,@Param("delFlag")String delflag);
    int updateStatusByPushId(@Param("pushId") String pushId,@Param("status")String delflag);
}