/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.ruralprojectrecords.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.ruralprojectrecords.entity.RuralProjectRecordsAlter;

/**
 * 项目登记DAO接口
 * @author ppt
 * @version 2018-05-02
 */
@MyBatisDao
public interface RuralProjectRecordsAlterDao extends CrudDao<RuralProjectRecordsAlter> {

    void updateProcessIdAndStatus(RuralProjectRecordsAlter projectRecords);

    void updateSelectiveById(RuralProjectRecordsAlter projectRecords);

    int countAlter(String projectId);
}