/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcommunicaterecord.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workcommunicaterecord.entity.WorkCommunicateRecord;

/**
 * 沟通记录DAO接口
 * @author 马鹏波
 * @version 2018-06-06
 */
@MyBatisDao
public interface WorkCommunicateRecordDao extends CrudDao<WorkCommunicateRecord> {

    int deleteByProId(WorkCommunicateRecord workCommunicateRecord);

    WorkCommunicateRecord findListByProId(WorkCommunicateRecord workCommunicateRecord);
}