/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workdailyroutine.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workdailyroutine.entity.WorkDailyRoutine;

import java.util.List;

/**
 * 日常事务DAO接口
 * @author ssrh
 * @version 2018-07-11
 */
@MyBatisDao
public interface WorkDailyRoutineDao extends CrudDao<WorkDailyRoutine> {


    void updateStatusById(WorkDailyRoutine workDailyRoutine);

    List<WorkDailyRoutine> findBySourceId(String sourceId);
}