/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workhandbill.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workhandbill.entity.WorkHandBillDetail;

import java.util.List;

/**
 * 交接单材料DAO接口
 * @author 马鹏波
 * @version 2018-06-05
 */
@MyBatisDao
public interface WorkHandBillDetailDao extends CrudDao<WorkHandBillDetail> {

	public List<WorkHandBillDetail> findListByBillId(WorkHandBillDetail workHandBillDetail);

	public int deleteByBillId(WorkHandBillDetail workHandBillDetail);
}