<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>外出申请详情</title>
    <meta name="decorator" content="default"/>
    <script type="text/javascript">
        $(function () {
            //只做查看时，禁用掉以下标签
            $('input,textarea,select').attr('disabled',"disabled");
        })
    </script>
</head>
<body>
<div class="ibox-content">
<form:form id="inputForm" modelAttribute="goOut" action="" method="post" class="form-horizontal">
    <form:hidden path="id"/>
    <c:set var="id" value="${goOut.id}" />
    <c:set var="ids" value="${goOut.ids}" />
    <sys:message content="${message}"/>
    <div class="control-group">
    <label class="control-label">开始时间：</label>
    <div class="controls">
        ${goOut.startTime}
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">结束时间：</label>
    <div class="controls">
       ${goOut.endTime}
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">外出天数：</label>
    <div class="controls">
        ${goOut.gooutDay}
    <span class="help-inline"></span>
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">外出时长：</label>
    <div class="controls">
        ${goOut.gooutTime}
    <span class="help-inline"></span>
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">外出事由：</label>
    <div class="controls">
            ${goOut.gooutReason}
    <span class="help-inline"></span>
    </div>
    </div>
    </form:form>
</div>
</body>
</html>
