<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>报告详情管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">

	</script>
</head>

<body>
<div class="single-form">
	<div class="container${container}  view-form">
		<div class="form-group layui-row first lw12">
			<div class="form-group-label"><h2>基本信息</h2></div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label"><span class="require-item">*</span>报告名称：</label>
				<div class="layui-input-block with-icon">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectcontentinfo.projectReportData.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label"><span class="require-item">*</span>报告编号：</label>
				<div class="layui-input-block">
					<div class="input-group">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectcontentinfo.projectReportData.number}"/>
					<span class="input-group-btn">
								<label class="form-status">
									<c:choose>
										<c:when test="${not empty projectcontentinfo.projectReportData.status}">${fns:getDictLabel(projectcontentinfo.projectReportData.status, 'audit_state', '')}
										</c:when>
										<c:otherwise>新添</c:otherwise>
									</c:choose></label>
							 </span>
					</div>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label"><span class="require-item">*</span>工作内容类型：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${fns:getContentTypeName(projectcontentinfo.projectReportData.type,"")}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">成果类型：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${fns:getMainDictLabel(projectcontentinfo.projectReportData.achievementType, 'achievement_type', '')}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">复核标准：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${fns:getDictLabel(projectcontentinfo.projectReportData.reviewStandard, 'reviewStandard', '')}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">报告日期：</label>
				<div class="layui-input-block">
					<input id="provideDate" name="projectReportData.provideDate" type="text" htmlEscape="false" readonly="true" class="laydate-icondate form-control layer-date required layui-input laydate-icon"
						   value="<fmt:formatDate value="${projectcontentinfo.projectReportData.reportDate}" pattern="yyyy-MM-dd"/>"/>
				</div>
			</div>
			<%--<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">签字造价师一：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${projectcontentinfo.projectReportData.signCostOne.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">签字造价师二：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${projectcontentinfo.projectReportData.signCostTwo.name}"/>
				</div>
			</div>--%>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">签章类型：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${projectcontentinfo.projectReportData.reportType}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">归档状态：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${fns:getDictLabel(projectcontentinfo.projectReportData.fileStatus, 'record_state', '')}"/>
				</div>
			</div>
			<c:if test="${not empty projectcontentinfo.projectReportData.invalidStatus}">
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">作废原因：</label>
					<div class="layui-input-block">
						<textarea path="remarks" htmlEscape="false" readonly="true" rows="3" maxlength="20" class="form-control" >${projectcontentinfo.projectReportData.remarks}</textarea>
					</div>
				</div>
			</c:if>
		</div>
		<div class="form-group layui-row first lw12">
			<div class="form-group-label"><h2>项目信息</h2></div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">送审价(元)：</label>
				<div class="layui-input-block with-icon">
					<input  id="projectReportData.reviewFee" readonly="true" class="form-control layui-input number" value="<fmt:formatNumber value="${projectcontentinfo.projectReportData.reviewFee}" pattern="#,##0.00#"/>" />
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">审定价(元)：</label>
				<div class="layui-input-block with-icon">
					<input  id="projectReportData.approvalFee" readonly="true" class="form-control layui-input number" value="<fmt:formatNumber value="${projectcontentinfo.projectReportData.approvalFee}" pattern="#,##0.00#"/>" />
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">合同价(元)：</label>
				<div class="layui-input-block with-icon">
					<input  id="projectReportData.contractFee"  readonly="true" class="form-control layui-input number" value="<fmt:formatNumber value="${projectcontentinfo.projectReportData.contractFee}" pattern="#,##0.00#"/>" />
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">核增核减额(元)：</label>
				<div class="layui-input-block with-icon">
					<input id="projectReportData.verifyFee"  readonly="true" class="form-control layui-input number" value="<fmt:formatNumber value="${projectcontentinfo.projectReportData.verifyFee}" pattern="#,##0.00#"/>" />
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">核增核减率(%)：</label>
				<div class="layui-input-block with-icon">
					<input  id="projectReportData.verifyRate"  readonly="true" class="form-control layui-input number" value="${projectcontentinfo.projectReportData.verifyRate}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">咨询标的额(元)：</label>
				<div class="layui-input-block with-icon">
					<input  id="projectReportData.consultFee" readonly="true" class="form-control layui-input number" value="<fmt:formatNumber value="${projectcontentinfo.projectReportData.consultFee}" pattern="#,##0.00#"/>" />
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">土建造价(元)：</label>
				<div class="layui-input-block with-icon">
					<input  id="projectReportData.buildingFee"  readonly="true" class="form-control layui-input number" value="<fmt:formatNumber value="${projectcontentinfo.projectReportData.buildingFee}" pattern="#,##0.00#"/>" />
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">安装造价(元)：</label>
				<div class="layui-input-block with-icon">
					<input  id="projectReportData.installFee"  readonly="true" class="form-control layui-input number" value="<fmt:formatNumber value="${projectcontentinfo.projectReportData.installFee}" pattern="#,##0.00#"/>"/>
				</div>
			</div>
		</div>
		<div class="form-group layui-row first lw12">
			<div class="form-group-label"><h2>依据性资料明细</h2></div>
			<div class="layui-item layui-col-xs12 form-table-container">
				<table id="contentTableBase" class="table table-bordered table-condensed details">
					<thead>
					<tr>
						<th class="hide"></th>
						<th >资料编号</th>
						<th >资料名称</th>
						<th >资料类别</th>
						<th >上传人</th>
						<th >上传日期</th>
					</tr>
					</thead>
					<tbody id="workBaseDataList">
					<c:forEach items="${projectcontentinfo.projectReportData.projectBasedDataList}" var="projectBasedData" varStatus="idx">
						<tr>
							<td class="hide">
								<input type="hidden" id="workBaseDataList${idx.index}_id" value="${projectBasedData.id}">
							</td>
							<td style="text-align:center;">
									${projectBasedData.number}
							</td>
							<td style="text-align:center;">
									${projectBasedData.name}
							</td>
							<td style="text-align:center;">
									${fns:getDictLabel(projectBasedData.type, 'project_document_type', '')}
							</td>
							<td style="text-align:center;">
									${projectBasedData.uploadUser.name}
							</td>
							<td style="text-align:center;">
								<fmt:formatDate value="${projectBasedData.uploadDate}" pattern="yyyy-MM-dd"/>
							</td>
						</tr>
					</c:forEach>
					</tbody>
				</table>
			</div>
		</div>
		<div class="form-group layui-row first lw12">
			<div class="form-group-label"><h2>依据工作内容</h2></div>
			<!-- 表格 -->
			<div class="layui-item layui-col-xs12" style="padding:0 16px;">
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<th style="text-align: center;width:20%">工作内容编号</th>
					<th style="text-align: center;width:20%">工作内容名称</th>
					<th style="text-align: center;width:20%">工作内容类型</th>
					<th style="text-align: center;width:20%">负责人</th>
					<th style="text-align: center;width:20%">创建时间</th>
				</tr>
				</thead>
				<tbody id="projectContentDataList">
				<c:forEach items="${projectcontentinfo.projectReportData.projectContentDataList}" var="projectContentData" varStatus="index">
					<tr>
						<td style="text-align:center;">
								${projectContentData.number}
						</td>
						<td style="text-align:center;">
								${projectContentData.name}
						</td>
						<td style="text-align:center;">
								${fns:getContentTypeName(projectContentData.type,"")}
						</td>
						<td style="text-align:center;">
								${projectContentData.master.name}
						</td>
						<td style="text-align:center;">
							<fmt:formatDate value="${projectContentData.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
						</td>
					</tr>
				</c:forEach>
				</tbody>
			</table>
			</div>
		</div>
		<div class="form-group layui-row">
			<div class="form-group-label"><h2>报告文件</h2></div>
			<div class="layui-item layui-col-xs12" style="padding:0 16px;">
				<table id="upTable" class="table table-bordered table-condensed details">
					<thead>
					<tr>
						<%-- <th>序号</th>--%>
						<th>文件预览</th>
						<th>上传人</th>
						<th>上传时间</th>
						<th width="200px">操作</th>
					</tr>
					</thead>
					<tbody id="file_attachment">
					<c:forEach items="${projectcontentinfo.projectReportData.workAttachments}" var = "workClientAttachment" varStatus="status">
						<tr>
								<%-- <td>${status.index + 1}</td>--%>
							<c:choose>
								<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
									<td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
								</c:when>
								<c:otherwise>
									<c:choose>
										<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
											<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
										</c:when>
										<c:otherwise>
											<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
										</c:otherwise>
									</c:choose>
								</c:otherwise>
							</c:choose>
							<td>${workClientAttachment.createBy.name}</td>
							<td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
							<td class="op-td">
								<div class="op-btn-box" >
                                    <c:set var="signflag" value="${fns:getSysParam('sign_flag',fns:getUser())}"/>
                                    <c:choose>
                                        <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'doc')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'docx')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'xls')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'xlsx')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'ppt')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'pptx')}">
                                            <c:if test="${not empty gzr && gzr eq 'gzr'}">
                                                <a href="${ctx}/isignature/iSignatureDocument/sign?recordId=${workClientAttachment.id}&type=report" class="op-btn op-btn-sign" target="_blank">签章</a>
                                            </c:if>
                                            <a href="javascript:void(0);" onclick="openDialogView('查看电子签章信息', '${ctx}/isignature/iSignatureDocument/form?recordId=${workClientAttachment.id}','95%', '95%')" class="op-btn op-btn-view" ><i class="fa fa-search-plus"></i> 查看</a>
                                            <c:choose>
                                                <c:when test="${signflag == '是'}">
                                                    <a href="javascript:location.href='${ctx}/isignature/iSignatureDocument/download?recordId=${workClientAttachment.id}'" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                                </c:when>
                                                <c:otherwise>
                                                    <a href="javascript:location.href='${ctx}/workcontractinfo/workContractInfo/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                                </c:otherwise>
                                            </c:choose>
                                        </c:when>
                                        <c:otherwise>
                                            <a href="javascript:location.href='${ctx}/workcontractinfo/workContractInfo/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                        </c:otherwise>
                                    </c:choose>
								</div>
							</td>
						</tr>
					</c:forEach>
					</tbody>
				</table>
			</div>
		</div>
		<div class="form-group layui-row">
			<div class="form-group-label"><h2>自检</h2></div>
			<div class="layui-item layui-col-xs12 form-table-container">
				<table id="contentTable2" class="table details table-bordered table-condensed">
					<thead>
					<tr>
						<th style="text-align: center;width:15%">序号</th>
						<th style="text-align: center;width:70%">复核内容及评分标准</th>
						<th style="text-align: center;width:15%">操作</th>
					</tr>
					</thead>
					<tbody id="projectContentDataList2">
					<c:forEach items="${projectcontentinfo.projectReportData.projectReviewList}" var="projectReview" varStatus="index">
						<tr>
							<td>
								<input id="projectReviewList${index.index}_id" name="projectReportData.projectReviewList[${index.index}].id" type="hidden" value="${projectReview.id}"/>
								<input id="projectReviewList${index.index}_delFalg" name="projectReportData.projectReviewList[${index.index}].delFalg" type="hidden" value="1"/>
								<input id="projectReviewList${index.index}_remarks" name="projectReportData.projectReviewList[${index.index}].remarks" type="hidden" value="${projectReview.remarks}"/>
									${index.index + 1}
							</td>
							<td>
									${projectReview.standardDetail}
							</td>

							<td>
								<c:choose>
									<c:when test="${not empty projectReview.remarks}">
										<div class="check-ok">
											<i class="fa fa-check"></i>
										</div>
									</c:when>
									<c:otherwise>
										<div id = "check1${projectReview.id}">
										</div>
										<div id = "check2${projectReview.id}" class="check-ok" style="display: none">
											<i class="fa fa-check"></i>
										</div>
									</c:otherwise>
								</c:choose>
							</td>
						</tr>
					</c:forEach>
					</tbody>
				</table>
			</div>
		</div>
		<c:if test="${not empty projectcontentinfo.projectReportData.act.procInsId}">
		<div class="form-group layui-row">
			<div class="form-group-label"><h2>审批意见</h2></div>
			<div class="layui-item layui-col-xs12 with-textarea" >
				<label class="layui-form-label">审批意见：</label>
				<div class="layui-input-block">
					<textarea name="projectReportData.act.comment" class="form-control" rows="4" maxlength="127" ></textarea>
				</div>
			</div>
		</div>
		</c:if>
		<c:if test="${not empty projectcontentinfo.projectReportData.act.procInsId}">
		<div class="form-group layui-row">
			<div class="form-group-label"><h2>审批流程</h2></div>
			<div class="layui-item layui-col-xs12 form-table-container" >
				<act:flowChart procInsId="${projectcontentinfo.projectReportData.act.procInsId}"/>
				<act:histoicFlow procInsId="${projectcontentinfo.projectReportData.act.procInsId}"/>
			</div>
		</div>
		</c:if>
		<div class="form-group layui-row page-end"></div>
	</div>
</div>
</body>
</html>