<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>待审核企业信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {
            laydate.render({
                elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'date'
            });
            laydate.render({
                elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'date'
            });
        });
        function page(n,s){
            location = '${ctx}/sys/company/list/?pageNo='+n+'&pageSize='+s;
        }
        /**
         * 签收任务
         */
        function claim(taskId) {
            $.get('${ctx}/act/task/claim' ,{taskId: taskId}, function(data) {
                if (data == 'true'){
                    top.$.jBox.tip('签收完成');
                    location = '${ctx}/sys/company/joinOnCompany/';
                }else{
                    top.$.jBox.tip('签收失败');
                }
            });
        }
        function openDialogre(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                skin: 'three-btns',
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['同意','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        //top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });
        }
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
					<form:form id="searchForm" modelAttribute="act" action="${ctx}/sys/company/joinOnCompany" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

						<div class="commonQuery">
							<div class="layui-item query athird">
								<label class="layui-form-label">创建时间：</label>
								<div class="layui-input-block">
									<input id="beginDate"  name="beginDate"  type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon"
										   value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd"/>"/>
								</div>
							</div>
							<div class="layui-item query athird">
								<label class="layui-form-label">——&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
								<div class="layui-input-block">
									<input id="endDate"  name="endDate"  type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon"
										   value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd"/>"/>
								</div>
							</div>

							<div class="layui-item athird">
								<div class="input-group">
									<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
									<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
								</div>
							</div>
							<div style="    clear:both;"></div>
						</div>
					</form:form>
			</div>
		</div>

		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<!-- 表格 -->
				<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
					<thead>
					<tr>
						<th style="text-align: center;">流程发起人</th>
						<th style="text-align: center;">内容</th>
						<th style="text-align: center;">当前环节</th>
					<%--<th>任务内容</th>--%>
						<th style="text-align: center;">公司名称</th>
						<th style="text-align: center;">审批管理员</th>
						<th style="text-align: center;">加入状态</th>
						<th style="text-align: center;">流程名称</th>
						<th style="text-align: center;">流程版本</th>
						<th style="text-align: center;">创建时间</th>
						<th style="text-align: center;">操作</th>
					</tr>
					</thead>
					<tbody>
					<c:choose>
						<c:when test="${not empty list}">
							<c:forEach items="${list}" var="companyinfo">
								<c:set var="task" value="${companyinfo.act.task}" />
								<c:set var="vars" value="${companyinfo.act.vars}" />
								<c:set var="procDef" value="${companyinfo.act.procDef}" /><%--
						<c:set var="procExecUrl" value="${act.procExecUrl}" /> --%>
								<c:set var="status" value="${companyinfo.act.status}" />
								<tr>
									<td>${companyinfo.act.vars.map.applyUserId}</td>
									<td>
										<c:if test="${empty task.assignee}">
											<a href="javascript:claim('${task.id}');">签收任务</a>
										</c:if>
										<c:if test="${not empty task.assignee}">
											<a href="${ctx}/sys/company/applyOnCompany?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=${status}">${fns:abbr(not empty vars.map.title ? vars.map.title : task.id, 60)}</a>
										</c:if>
									</td>
									<td>
											${task.name}
									</td>
										<%--<td>${task.description}</td>--%>
									<td>
										<a  href="javascript:void(0)" onclick="openDialogView('查看企业信息', '${ctx}/sys/company/companyinfoView?id=${companyinfo.id}&readAttr=disabled','80%','80%')">
												${companyinfo.name}
										</a>
									</td>
									<td>
											${companyinfo.masterName}
									</td>
									<td>
											${fns:getDictLabel(companyinfo.status, 'companyStatus', '')}
									</td>
									<td>${procDef.name}</td>
									<td><b title='流程版本号'>V: ${procDef.version}</b></td>
									<td><fmt:formatDate value="${task.createTime}" type="both"/></td>
									<td>
										<div style="text-align: center">
											<%--<c:if test="${empty task.assignee}">--%>
											<%--<a href="javascript:claim('${task.id}');" class="btn btn-success btn-xs">签收任务</a>--%>
											<%--</c:if>--%>
											<%--<c:if test="${not empty task.assignee}">&lt;%&ndash;--%>
											<%--<a href="${ctx}${procExecUrl}/exec/${task.taskDefinitionKey}?procInsId=${task.processInstanceId}&act.taskId=${task.id}">办理</a> --%>
										<%--<a href="${ctx}/sys/company/applyOnCompany?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=${status}" class="btn btn-success btn-xs">任务办理</a>
										--%>		<a href="javascript:void(0)" onclick="openDialogre('审核', '${ctx}/sys/company/applyOnCompany?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=${status}','95%','95%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 任务办理</a>

											<%--</c:if>--%>
										</div>
									</td>
								</tr>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<tr>
								<td colspan="10" align="center">暂无数据</td>
							</tr>
						</c:otherwise>
					</c:choose>
					</tbody>
				</table>
				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
			</div>
		</div>
	</div>
</div>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>