<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>字典管理</title>
	<meta name="decorator" content="default"/>
</head>
<body>
<div class="single-form">
	<div class="container view-form">
		<form:form id="inputForm" modelAttribute="mainDict" action="${ctx}/sys/mainDict/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<sys:message content="${message}"/>
			<div class="form-group layui-row first">
				<div class="form-group-label"><h2>字典信息</h2></div>
				<div class="layui-item layui-col-sm12">
					<label class="layui-form-label"><span class="require-item">*</span>类型：</label>
					<div class="layui-input-block">
						<form:input path="typeName" htmlEscape="false" readonly="true"  value="${mainDict.typeName}"  class="form-control layui-input "/>
					</div>
				</div>
				<div class="layui-item layui-col-sm12">
					<label class="layui-form-label">类型名称：</label>
					<div class="layui-input-block">
						<input readonly="true" htmlEscape="false" class="form-control layui-input" value="${mainDict.typeName}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">类型排序：</label>
					<div class="layui-input-block">
						<input readonly="true" htmlEscape="false" class="form-control layui-input" value="${mainDict.typeSort}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">定义方式：</label>
					<div class="layui-input-block">
						<input readonly="true" htmlEscape="false" class="form-control layui-input" value="${fns:getDictLabel(mainDict.dictType, 'main_type', '')}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm12 with-textarea">
					<label class="layui-form-label">类型描述：</label>
					<div class="layui-input-block">
						<textarea readonly="true" htmlEscape="false" rows="4" class="form-control ">${mainDict.remarks}</textarea>
					</div>
				</div>
			</div>
		</form:form>
	</div>
</div>
</body>
</html>