<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>合同管理审批</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
		<div class="ibox-title">
		</div>
		<div class="ibox-content">
			<sys:message content="${message}"/>
			<form:form id="inputForm" modelAttribute="workFullRecord" action="${ctx}/workfullmanage/workFullRecord/save" method="post" class="form-horizontal">
				<form:hidden path="id"/>
				<sys:message content="${message}"/>
				<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
					<tbody>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷名称：</label></td>
						<td class="width-25" colspan="3">
								${workFullRecord.recordName}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷号：</label></td>
						<td class="width-35">
							<input type="hidden" name="workFullManage.id" value="${workFullRecord.workFullManage.id}"   class="form-control "/>
								${workFullRecord.recordNumber}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档号：</label></td>
						<td class="width-35">
								${workFullRecord.backRecordNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属卷库：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullRecord.recordLibNumber, 'record_lib_number', '')}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档年代：</label></td>
						<td class="width-25">
								${workFullRecord.backRecordYear}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属部门：</label></td>
						<td class="width-25">
								${workFullRecord.backRecordDept.name}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>编制结构：</label></td>
						<td class="width-25">
								${workFullRecord.compleOrganization}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>起止日期：</label></td>
						<td class="width-25">
							<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
								<fmt:formatDate value="${workFullRecord.startTime}" pattern="yyyy-MM-dd" />
							</div>
							<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
								至
							</div>
							<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
								<fmt:formatDate value="${workFullRecord.endTime}" pattern="yyyy-MM-dd" />
							</div>
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保管期限：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullRecord.retentionPeriod, 'retention_period', '')}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷密级：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullRecord.recordSecretLevel, 'record_secret_level', '')}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>全宗号：</label></td>
						<td class="width-25">
								${workFullRecord.fondsNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>目录号：</label></td>
						<td class="width-25">
								${workFullRecord.listsNumber}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档馆号：</label></td>
						<td class="width-25">
								${workFullRecord.recordProNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保险箱号：</label></td>
						<td class="width-25">
								${workFullRecord.strongboxNumber}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>缩微号：</label></td>
						<td class="width-25">
								${workFullRecord.microNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证类别：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullRecord.ekkoType, 'ekko_type', '')}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证编号：</label></td>
						<td class="width-25">
							<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
									${workFullRecord.ekkoBstypOne}
							</div>
							<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
								至
							</div>
							<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
									${workFullRecord.ekkoBstypTwo}
							</div>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>报告号：</label></td>
						<td class="width-25">
								${workFullRecord.reportNumber}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>页数：</label></td>
						<td class="width-25">
								${workFullRecord.pageNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷管理员：</label></td>
						<td class="width-25">
								${workFullRecord.manageUser}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>备注：</label></td>
						<td class="width-25" colspan="3">
								${workFullRecord.remarks}
						</td>
					</tr>
					</tbody>
				</table>
			</form:form>
		</div>
	</div>
</div>
</body>
</html>