<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目立项</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
	<style type="text/css">
		.table{
			margin-bottom: 0px;
		}
		.workfull>.form-horizontal{
			margin: 0;
			padding: 0;
		}
	</style>
	<script type="text/javascript">
        $(function(){
            var oneSize = $(".oneTab").size();
            for(var i = 0;i < oneSize;i++){
                var hei = $(".oneTab:eq("+i+")").parent().height();
                $(".oneTab:eq("+i+")").css("height",hei)
                    .css("vertical-align","middle")
                    .css("line-height",hei+"px")
            }
        })
        var validateForm;
        function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                $("#inputForm").submit();
                return true;
            }
            return false;
        }
        $(document).ready(function() {
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
        });
	</script>
</head>
<body class="hideScroll">
<div class="row">
	<div class="col-sm-12 m-t-md m-l-sm">
		<div class="col-sm-2 gray-bg text-center oneTab">
			<label>项目信息</label>
		</div>
		<div class="col-sm-10" >
			<!-- 表格 -->
			<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
				<tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目编号：</label></td>
					<td class="width-25">
						${workFullManage.fullProjectNumber}
					</td>
					<td class="width-15 active"><label class="pull-right">创建日期：</label></td>
					<td class="width-25">
						<fmt:formatDate value="${workFullManage.createDate}" pattern="yyyy-MM-dd HH:mm:ss" />
					</td>
					<%--<td>--%>
						<%--<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=7','80%','80%')" class="btn btn-info btn-xs">查看</a>--%>
					<%--</td>--%>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-25" colspan="3">
						${workFullManage.fullProjectName}
					</td>
					<%--<td>--%>
						<%--<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=8','80%','80%')" class="btn btn-info btn-xs">查看</a>--%>
					<%--</td>--%>
				</tr>
				<tr>
					<td colspan="4" style="background:white;">
						<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
							<thead>
								<tr>
									<%--<th>序号</th>--%>
									<th>文件名称</th>
									<th>上传人</th>
									<th>上传时间</th>
									<th>操作</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach items="${workFullManage.workClientAttachmentList}" varStatus="status" var="workClientAttachment">
									<tr>
										<%--<td>${status.index + 1}</td>--%>
										<td>${workClientAttachment.attachmentName}</td>
										<td>${workClientAttachment.createBy.name}</td>
										<td><fmt:formatDate value="${workClientAttachment.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
										<td>
											<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${workClientAttachment.url}" class="btn btn-info btn-xs">下载</a>
										</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</td>
				</tr>
				</tbody>
			</table>
		</div>
	</div>
	<div class="col-sm-12 m-t-xs m-l-sm">
		<div class="col-sm-2 gray-bg text-center oneTab">
			<label>报告列表</label>
		</div>
		<div class="col-sm-10 " >
			<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
				<thead>
					<tr>
						<th>序号</th>
						<th>报告名称</th>
						<th>编制人</th>
						<th>上传时间</th>
						<th>操作</th>
					</tr>
				</thead>
				<tbody>
					<c:forEach items="${list}" varStatus="status" var="workAttach">
						<tr>
							<td>${status.index + 1}</td>
							<td>${workAttach.attachmentName}</td>
							<td>${workAttach.createBy.name}</td>
							<td><fmt:formatDate value="${workAttach.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
							<td>
								<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${workAttach.url}" class="btn btn-info btn-xs">下载</a>
							</td>
						</tr>
					</c:forEach>
				</tbody>
			</table>
		</div>
	</div>
	<div class="col-sm-12 m-t-xs m-l-sm">
		<div class="col-sm-2 gray-bg text-center oneTab">
			<label>归档资料</label>
		</div>
		<div class="col-sm-10 " >
			<label>项目竣工</label>
			<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
				<thead>
					<tr>
						<th>序号</th>
						<th>文件类型</th>
						<th>附件表</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>1</td>
						<td>结算阶段初审</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
					<tr>
						<td>2</td>
						<td>送审结算清单</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
				</tbody>
			</table>
			<p></p>
			<label>工程咨询结果</label>
			<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
				<thead>
					<tr>
						<th>序号</th>
						<th>文件类型</th>
						<th>附件表</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>1</td>
						<td>审核管理建议</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
					<tr>
						<td>2</td>
						<td>审核汇总表</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
					<tr>
						<td>3</td>
						<td>总结</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
					<tr>
						<td>4</td>
						<td>审计周报</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
					<tr>
						<td>5</td>
						<td>审计方案</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
					<tr>
						<td>6</td>
						<td>审计月报</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
					<tr>
						<td>7</td>
						<td>专题会议纪要</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
					<tr>
						<td>8</td>
						<td>其他</td>
						<td><a href="javascript:void(0)" class="btn btn-info btn-xs">查看</a></td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
	<div class="col-sm-12 m-t-xs m-l-sm">
		<div class="col-sm-2 gray-bg text-center oneTab">
			<label>档案信息</label>
		</div>
		<div class="col-sm-10 workfull" >
			<form:form id="inputForm" modelAttribute="workFullRecord" action="${ctx}/workfullmanage/workFullRecord/save" method="post" class="form-horizontal">
				<form:hidden path="id"/>
				<sys:message content="${message}"/>
				<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
					<tbody>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷名称：</label></td>
						<td class="width-25" colspan="3">
								${workFullRecord.recordName}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷号：</label></td>
						<td class="width-35">
							<input type="hidden" name="workFullManage.id" value="${workFullRecord.workFullManage.id}"   class="form-control "/>
								${workFullRecord.recordNumber}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档号：</label></td>
						<td class="width-35">
								${workFullRecord.backRecordNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属卷库：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullRecord.recordLibNumber, 'record_lib_number', '')}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档年代：</label></td>
						<td class="width-25">
								${workFullRecord.backRecordYear}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属部门：</label></td>
						<td class="width-25">
								${workFullRecord.backRecordDept.name}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>编制结构：</label></td>
						<td class="width-25">
								${workFullRecord.compleOrganization}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>起止日期：</label></td>
						<td class="width-25">
							<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
								<fmt:formatDate value="${workFullRecord.startTime}" pattern="yyyy-MM-dd" />
							</div>
							<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
								至
							</div>
							<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
								<fmt:formatDate value="${workFullRecord.endTime}" pattern="yyyy-MM-dd" />
							</div>
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保管期限：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullRecord.retentionPeriod, 'retention_period', '')}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷密级：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullRecord.recordSecretLevel, 'record_secret_level', '')}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>全宗号：</label></td>
						<td class="width-25">
								${workFullRecord.fondsNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>目录号：</label></td>
						<td class="width-25">
								${workFullRecord.listsNumber}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档馆号：</label></td>
						<td class="width-25">
								${workFullRecord.recordProNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保险箱号：</label></td>
						<td class="width-25">
								${workFullRecord.strongboxNumber}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>缩微号：</label></td>
						<td class="width-25">
								${workFullRecord.microNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证类别：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullRecord.ekkoType, 'ekko_type', '')}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证编号：</label></td>
						<td class="width-25">
							<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
									${workFullRecord.ekkoBstypOne}
							</div>
							<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
								至
							</div>
							<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
									${workFullRecord.ekkoBstypTwo}
							</div>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>报告号：</label></td>
						<td class="width-25">
								${workFullRecord.reportNumber}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>页数：</label></td>
						<td class="width-25">
								${workFullRecord.pageNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷管理员：</label></td>
						<td class="width-25">
								${workFullRecord.manageUser}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>备注：</label></td>
						<td class="width-25" colspan="3">
								${workFullRecord.remarks}
						</td>
					</tr>
					</tbody>
				</table>
			</form:form>
		</div>
	</div>
</div>
</body>
</html>