<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>待审核监理联系单</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {
            laydate.render({
                elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'datetime'
            });
            laydate.render({
                elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'datetime'
            });
        });
        function page(n,s){
            location = '${ctx}/workfullsupervisorsheet/workFullSupervisorsheet/list/?pageNo='+n+'&pageSize='+s;
        }
        /**
         * 签收任务
         */
        function claim(taskId) {
            $.get('${ctx}/act/task/claim' ,{taskId: taskId}, function(data) {
                if (data == 'true'){
                    top.$.jBox.tip('签收完成');
                    location = '${ctx}/workfullsupervisorsheet/workFullSupervisorsheet/auditTodo/';
                }else{
                    top.$.jBox.tip('签收失败');
                }
            });
        }

        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['同意','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var formId = inputForm.attr("id");
                    if(formId){
                        var $document = iframeWin.contentWindow.document;
                        $document.getElementById("flag").setAttribute("value","yes");
                        $document.getElementById(formId).setAttribute("action","${ctx}/workfullsupervisorsheet/workFullSupervisorsheet/saveAudit");
                        formSubmit($document,formId,index);
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var formId = inputForm.attr("id");
                    if(formId){
                        var $document = iframeWin.contentWindow.document;
                        $document.getElementById("flag").setAttribute("value","no");
                        $document.getElementById(formId).setAttribute("action","${ctx}/workfullsupervisorsheet/workFullSupervisorsheet/saveAudit");
                        formSubmit($document,formId,index);
                    }
                    return false;
                },
                btn3: function(index){
                }
            });
        }
        function formSubmit($document,inputForm,index){
            var validateForm = $($document.getElementById(inputForm)).validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $($document.getElementById("#messageBox")).text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            if(validateForm.form()){
                var loadingMessage = parent.layer.load(0, {shade: false,opacity:0.1});
                $($document.getElementById(inputForm)).ajaxSubmit({
                    success:function(data) {
                        top.layer.close(index);
                        history.go(0);
                        parent.layer.msg("审批完成！！！",{icon:6});
                        parent.layer.close(loadingMessage);
                    }
                });
            }
        }
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li><a href="${ctx}/workfullsupervisorsheet/workFullSupervisorsheet/workfullmanageList">项目列表</a></li>
					<li class="active"><a href="${ctx}/workfullsupervisorsheet/workFullSupervisorsheet/auditTodo">待审核列表</a></li>
					<li><a href="${ctx}/workfullsupervisorsheet/workFullSupervisorsheet/auditHistory">已审核列表</a></li>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>

		<div class="ibox-content">
			<sys:message content="${requestScope.message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="act" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<div class="form-group">
							<label>创建时间：</label>
							<input id="beginDate"  name="beginDate"  type="text" readonly="readonly" maxlength="20" style="width:200px;" class="laydate-icondate form-control layer-date input-sm"
								   value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
							　--　
							<input id="endDate" name="endDate" type="text" readonly="readonly" maxlength="20" style="width:200px;" class="laydate-icondate form-control layer-date input-sm"
								   value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
						</div>
					</form:form>
					<br/>
				</div>
			</div>

			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<th style="text-align: center;width: 10%">流程发起人</th>
					<th style="text-align: center;width: 10%">当前环节</th>
					<th style="text-align: center;width: 10%">流程名称</th>
					<th style="text-align: center;width: 10%">流程版本</th>
					<th style="text-align: center;width: 14%">联系单主题</th>
					<th style="text-align: center;width: 10%">施工标段</th>
					<th style="text-align: center;width: 15%">所属项目</th>
					<th style="text-align: center;width: 13%">流程发起时间</th>
					<th style="text-align: center;width: 8%">操作</th>
				</tr>
				</thead>
				<tbody>
				<c:forEach items="${list}" var="workFullSupervisorsheet">
					<c:set var="task" value="${workFullSupervisorsheet.act.task}" />
					<c:set var="vars" value="${workFullSupervisorsheet.act.vars}" />
					<c:set var="procDef" value="${workFullSupervisorsheet.act.procDef}" />
					<c:set var="status" value="${workFullSupervisorsheet.act.status}" />
					<tr>
						<td>${workFullSupervisorsheet.act.vars.map.applyUserId}</td>
						<td>
							${task.name}
						</td>
						<td>${procDef.name}</td>
						<td><b title='流程版本号'>V: ${procDef.version}</b></td>
						<td><span title="${workFullSupervisorsheet.supervisorsheetTopic}">${fns:abbr(workFullSupervisorsheet.supervisorsheetTopic, 30)}</span></td>
						<td>${workFullSupervisorsheet.constructSection}</td>
						<td>
							<a href="javascript:void(0)" onclick="openDialogView('查看项目', '${ctx}/workfullmanage/workFullManage/form?id=${workFullSupervisorsheet.workFullManage.id}&tabId=0','80%','80%')">
								<span title="${workFullSupervisorsheet.workFullManage.fullProjectName}">${fns:abbr(workFullSupervisorsheet.workFullManage.fullProjectName, 30)}</span>
							</a>
						</td>
						<td><fmt:formatDate value="${workFullSupervisorsheet.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
						<td>
							<div style="text-align: center">
							<a href="javascript:void(0)" onclick="openDialogre('监理联系单审核流程', '${ctx}/workfullsupervisorsheet/workFullSupervisorsheet/applyOnWorkFullSupervisorsheet?taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=${status}','80%','80%','','同意','驳回')" class="btn btn-info btn-xs">任务办理</a>
							</div>
						</td>
					</tr>
				</c:forEach>
				</tbody>
			</table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>