<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>收文管理管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(obj,index1){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
              if(obj == 1){
                  $('#flag').val('yes');
                  var taskKey = '${workIncomingMessage.act.taskDefKey}';
                  if('zjl'==taskKey){
                      var val = $("#handlerId").val();
                      if(val==null||val==''){
                          parent.layer.confirm("没有选择处理人，确认继续提交吗？",{icon: 3, title:'系统提示'}, function(index){
                              //do something
                              $("#inputForm").submit();
                              parent.layer.close(index);
                              setTimeout(function(){parent.layer.close(index1)}, 100);
                          });
                          return false;
                      }
                  }else if('consume'==taskKey){
                      var dailyFlag = '${workIncomingMessage.dailyFlag}';
                      if("false"==dailyFlag){
                          parent.layer.msg("处理明细存在【未完成】状态，不能提交审批！",{icon:5});
                          return false;
                      }
                  }
              }else{
                  $('#flag').val('no');
              }

              $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
            laydate.render({
                elem: '#incomeDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            $("#attachment_btn").click(function () {
                $("#attachment_file").click();
            });
		});

        function insertTitle(tValue){
            var list = "${workIncomingMessage.workAttachments}";
            var size = (list.split('url')).length-1;
            var files = $("#attachment_file")[0].files;            for(var i = 0;i<files.length;i++) {                var file = files[i];
            var attachmentId = "";
            var attachmentFlag = "100";
            console.log(file);
            var timestamp=new Date().getTime();

            var storeAs = "attachment-file/workIncomingMessage/"+timestamp+"/"+file['name'];
            var uploadPath="http://gangwan-app.oss-cn-hangzhou.aliyuncs.com/"+storeAs;/*将这段字符串存到数据库即可*/
            var divId = "_attachment";
            $("#addFile"+divId).show();
            multipartUploadWithSts(storeAs, file,attachmentId,attachmentFlag,uploadPath,divId,size);}
        }
	</script>
</head>
<body>
<div class="single-form">
    <div class="container">
		<form:form id="inputForm" modelAttribute="workIncomingMessage" action="${ctx}/workincomingmessage/workIncomingMessage/saveAudit" method="post" class="form-horizontal">
		<form:hidden path="id"/>
        <form:hidden path="home"/>
        <form:hidden path="act.taskId"/>
        <form:hidden path="act.taskName"/>
        <form:hidden path="act.taskDefKey"/>
        <form:hidden path="act.procInsId"/>
        <form:hidden path="act.procDefId"/>
        <form:hidden id="flag" path="act.flag"/>
            <div class="form-group layui-row first">
                <div class="form-group-label"><h2>基础信息</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文标题：</label>
                    <div class="layui-input-block">
                        <form:input path="title" htmlEscape="false" readonly="true" class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>收文编号：</label>
                    <div class="layui-input-block">
                        <div class="input-group">
                            <form:input path="num" htmlEscape="false"  readonly="true"  class="form-control  layui-input"/>
                            <span class="input-group-btn">
                                <label class="form-status"><c:choose><c:when test="${not empty workIncomingMessage.state}">${fns:getDictLabel(workIncomingMessage.state, 'audit_state', '')}</c:when><c:otherwise>新添</c:otherwise></c:choose></label>
                             </span>
                        </div>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文字号：</label>
                    <div class="layui-input-block">
                        <form:input path="wordSize" htmlEscape="false" readonly="true" class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文日期：</label>
                    <div class="layui-input-block">
                        <input type="text" readonly="readonly" class="form-control layui-input"
                               value="<fmt:formatDate value="${workIncomingMessage.incomeDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文单位：</label>
                    <div class="layui-input-block">
                        <form:input path="incomePart" htmlEscape="false" readonly="true" class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>份    数：</label>
                    <div class="layui-input-block">
                        <form:input path="counts" htmlEscape="false" readonly="true" class="form-control digits layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">申请人：</label>
                    <div class="layui-input-block">
                        <form:input path="createBy.name" htmlEscape="false" readonly="true" class="form-control layui-input"/>
                        <form:hidden path="createBy.id" htmlEscape="false"    class="form-control required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">所属部门：</label>
                    <div class="layui-input-block">
                        <input type="text" name="office.name" readonly="readonly" class="form-control layui-input"  value="${workIncomingMessage.office.topCompany}"/>
                        <input type="hidden" name="office.id" readonly="readonly" class="form-control layui-input"  value="${workIncomingMessage.office.id}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">拟办意见：</label>
                    <div class="layui-input-block">
                        <form:textarea path="remarks" htmlEscape="false" readonly="true" rows="3" class="form-control"/>
                    </div>
                </div>
                <c:choose>
                    <c:when test="${workIncomingMessage.act.taskDefKey eq 'zjl'}">
                        <div class="layui-item layui-col-sm12 with-textarea">
                            <label class="layui-form-label">领导批示：</label>
                            <div class="layui-input-block">
                                <form:textarea path="opinion" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm12">
                            <label class="layui-form-label">处理人：</label>
                            <div class="layui-input-block with-icon">
                                <sys:treeselectt id="handler" name="handler" value="${workIncomingMessage.handler}" labelName="leaderNameStr" labelValue="${workIncomingMessage.leaderNameStr}"
                                                 title="用户" url="/sys/office/treeData?type=3" checked="true" cssClass="form-control layui-input" allowClear="true" notAllowSelectParent="true"/>

                            </div>
                        </div>
                    </c:when>
                    <c:otherwise>
                        <div class="layui-item layui-col-sm12 with-textarea">
                            <label class="layui-form-label">领导批示：</label>
                            <div class="layui-input-block">
                                <textarea htmlEscape="false" readonly="true" rows="3"  class="form-control">${workIncomingMessage.opinion}</textarea>
                            </div>
                        </div>
                        <div class="layui-item layui-col-sm12">
                            <label class="layui-form-label">处理人：</label>
                            <div class="layui-input-block with-icon">
                                <input type="text" value="${workIncomingMessage.leaderNameStr}" readonly="readonly"  class="form-control layui-input">
                            </div>
                        </div>
                    </c:otherwise>
                </c:choose>
            </div>

            <div class="form-group layui-row lw12">
                <div class="form-group-label"><h2>处理明细</h2></div>
                <table id="termsTable" class="table table-bordered table-condensed details">
                    <thead>
                    <tr>
                        <th>姓名</th>
                        <th>部门</th>
                        <th>完成状态</th>
                        <th>完成日期</th>
                        <th>完成情况说明</th>
                    </tr>
                    </thead>
                    <tbody id="termTableList">
                    <c:forEach items="${workIncomingMessage.detailList}" var="routineDetail" varStatus="idx">
                        <tr>
                            <td style="text-align:center;">
                                    ${routineDetail.operator.name}
                            </td>
                            <td style="text-align:center;">
                                    ${routineDetail.office.name}
                            </td>
                            <td style="text-align:center;">
                                    ${routineDetail.status}
                            </td>
                            <td style="text-align:center;">
                                <fmt:formatDate value="${routineDetail.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
                            </td>
                            <td style="text-align:center;" title="${routineDetail.remarks}">
                                    ${routineDetail.remarks}
                            </td>
                        </tr>
                    </c:forEach>
                    </tbody>
                </table>
            </div>


            <div class="form-group layui-row">
            <div class="form-group-label"><h2>附件信息</h2></div>
            <div class="layui-item layui-col-xs12 form-table-container" >
                <table id="listAttachment" class="table table-bordered table-condensed no-bottom-margin details">
                        <thead>
                        <tr>
                                <%-- <th>序号</th>--%>
                            <th>文件预览</th>
                            <th>上传人</th>
                            <th>上传时间</th>
                            <th width="150px">操作</th>
                        </tr>
                        </thead>
                        <tbody id="file_attachment">
                        <c:forEach items="${workIncomingMessage.workAttachments}" var = "workClientAttachment" varStatus="status">
                            <tr>
                                    <%-- <td>${status.index + 1}</td>--%>
                                <c:choose>
                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                        <td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
                                    </c:when>
                                    <c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>
                                </c:choose>
                                <td>${workClientAttachment.createBy.name}</td>
                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                <td class="op-td">
                                    <div class="op-btn-box" >
                                        <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                    </div>
                                </td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="form-group layui-row">
                <div class="form-group-label"><h2>审批意见</h2></div>
                <div class="layui-item layui-col-xs12 with-textarea" >
                    <label class="layui-form-label">审批意见：</label>
                    <div class="layui-input-block">
                        <form:textarea path="act.comment" class="form-control" rows="4" maxlength="127" />
                        <input type="file" name="upload_files" style="display: none;">
                    </div>
                </div>
            </div>
            <div class="form-group layui-row">
                <div class="form-group-label"><h2>审批流程</h2></div>
                <div class="layui-item layui-col-xs12 form-table-container" >
                    <act:flowChart procInsId="${workIncomingMessage.act.procInsId}"/>
                    <act:histoicFlow procInsId="${workIncomingMessage.act.procInsId}"/>
                </div>
            </div>

            <div class="form-group layui-row page-end"></div>
	</form:form>
    </div>
</div>
</body>
</html>