<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>外勤签到</title>
    <meta name="decorator" content="default"/>
    <script type="text/javascript">
        $(document).ready(function() {
        });
    </script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
    <div class="ibox">
        <%--<div class="ibox-title">
            <h5>外勤签到信息 </h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
                <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
                    <i class="fa fa-wrench"></i>
                </a>
                <ul class="dropdown-menu dropdown-user">
                    <li><a href="javascript:void(0)">选项1</a>
                    </li>
                    <li><a href="javascript:void(0)">选项2</a>
                    </li>
                </ul>
                <a class="close-link">
                    <i class="fa fa-times"></i>
                </a>
            </div>
        </div>--%>

        <div class="ibox-content">
            <sys:message content="${message}"/>

            <!-- 查询条件 -->
            <div class="row">
                <div class="col-sm-12">
                    <form:form id="searchForm" modelAttribute="workOutSignIn" action="${ctx}/workoutsignin/workOutSignIn/" method="post" class="form-inline">
                        <input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
                        <input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
                        <table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                        <a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
                        <div class="form-group">
                            <span>签到人：</span>
                          <%--这样不行 <form:input path="user.name"  htmlEscape="false" cssClass="form-control input-sm"/>--%>
                            <input name="username" value="${username}" class=" form-control input-sm"/>
                        </div>
                    </form:form>
                    <br/>
                </div>
            </div>

            <!-- 工具栏 -->
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-left">
                        <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
                    </div>
                    <div class="pull-right">
                        <button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
                        <button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
                    </div>
                </div>
            </div>
            <!-- 表格 -->
            <table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
                <thead>
                <tr>
                    <th> <input <%--type="checkbox"--%> type="hidden" class="i-checks"></th>
                    <th style="text-align: center;"  class="sort-column createDate">创建时间</th>
                    <th style="text-align: center;"  class="sort-column user">用户</th>
                    <th style="text-align: center;"  class="sort-column location">位置名称</th>
                    <th style="text-align: center;"  class="sort-column location">经纬度</th>
                    <th style="text-align: center;"  class="sort-column locationInfo">位置详情</th>
                    <th style="text-align: center;">操作</th>
                </tr>
                </thead>
                <tbody>
                <c:forEach items="${page.list}" var="workOutSignIn">
                    <tr>
                        <td> <input <%--type="checkbox"--%> type="hidden" id="${workOutSignIn.id}" class="i-checks"></td>
                        <td>
                        <%--    <a  href="javascript:void(0)" onclick="openDialogView('查看外勤签到信息', '${ctx}/workoutsignin/workOutSignIn/form?id=${workOutSignIn.id}&readAttr=disabled','80%','80%')">

                            </a>--%>
                            <fmt:formatDate value="${workOutSignIn.createDate}"  pattern="yyyy-MM-dd HH:mm:ss"/>
                        </td>
                        <td>
                                ${workOutSignIn.user.name}
                        </td>
                        <td>
                             <%--${workOutSignIn.locationName}--%>
                             <span title="${workOutSignIn.locationName}">${fns:abbr(workOutSignIn.locationName, 30)}</span>
                        </td>
                        <td>
                                ${workOutSignIn.longitude},${workOutSignIn.latitude}
                        </td>
                        <td>
                                <%--${workOutSignIn.locationInfo}--%>
                              <span title="${workOutSignIn.locationInfo}">${fns:abbr(workOutSignIn.locationInfo, 30)}</span>
                        </td>
                        <td>
                            <div style="text-align: center">
                            <shiro:hasPermission name="workoutsignin:workOutSignIn:view">
                                <a href="javascript:void(0)" onclick="openDialogView('查看外勤签到信息', '${ctx}/workoutsignin/workOutSignIn/form?id=${workOutSignIn.id}&readAttr=disabled','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
                            </shiro:hasPermission>
        <%--                    <shiro:hasPermission name="workoutsignin:workOutSignIn:edit">
                                <a href="javascript:void(0)" onclick="openDialog('修改外勤签到信息', '${ctx}/workoutsignin/workOutSignIn/form?id=${workOutSignIn.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
                            </shiro:hasPermission>--%>
                            </div>
                        </td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>

            <!-- 分页代码 -->
            <table:page page="${page}"></table:page>
            <br/>
            <br/>
        </div>
    </div>
</div>
</body>
</html>