<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>保证金模块管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});

        function confirmDeposit(num,obj,workProjectDepositId) {
            var loadingMessage = parent.layer.load(0, {shade: [0.1,'#393d49']});
            var statusValue = $(obj).val();
            $.post('${ctx}/workbidingevaluation/workBidingEvaluation/confirmDeposit',
                {"num":num,"statusValue":statusValue,"workProjectDepositId":workProjectDepositId},
                function () {


                    parent.layer.msg("确认成功！！！",{icon:6});
                    parent.layer.close(loadingMessage);
                }
            );
        }
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>保证金模块列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>--%>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workProjectDeposit" action="${ctx}/workprojectdeposit/workProjectDeposit/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<span>招标项目：</span>
			<div class="form-group shows">
				<form:input path="bidingProject.projectName" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			</div>
			<span>&nbsp;投标企业：</span>
				<form:input path="bidingOfficeName" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>&nbsp;保证金状态：</span>
				<form:select path="depositStatus"  class="form-control m-b">
					<form:option value="" label=""/>
					<form:options items="${fns:getDictList('deposit_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
				</form:select>
			<span>&nbsp;标书费缴纳状态：</span>
				<form:select path="bidingDocumentStatus"  class="form-control m-b">
					<form:option value="" label=""/>
					<form:options items="${fns:getDictList('biding_document_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
				</form:select>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<%--<shiro:hasPermission name="workprojectdeposit:workProjectDeposit:add">
				<table:addRow url="${ctx}/workprojectdeposit/workProjectDeposit/form" title="保证金模块"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workprojectdeposit:workProjectDeposit:edit">
			    <table:editRow url="${ctx}/workprojectdeposit/workProjectDeposit/form" title="保证金模块" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workprojectdeposit:workProjectDeposit:del">
				<table:delRow url="${ctx}/workprojectdeposit/workProjectDeposit/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workprojectdeposit:workProjectDeposit:import">
				<table:importExcel url="${ctx}/workprojectdeposit/workProjectDeposit/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workprojectdeposit:workProjectDeposit:export">
	       		<table:exportExcel url="${ctx}/workprojectdeposit/workProjectDeposit/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>--%>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;width: 5%"> 序号</th>
				<th style="text-align: center;width: 10%"  class="sort-column createDate">登记时间</th>
				<th style="text-align: center;width: 10%"  class="sort-column bidingProject">招标项目</th>
				<th style="text-align: center;width: 10%"  class="sort-column bidingOfficeName">投标企业</th>
				<th style="text-align: center;width: 8%"  class="sort-column contacts">联系人</th>
				<th style="text-align: center;width: 10%"  class="sort-column phone">联系电话</th>
				<th style="text-align: center;width: 10%"  class="sort-column Email">邮箱</th>
				<th style="text-align: center;width: 7%"  class="sort-column deposit">保证金(万元)</th>
				<th style="text-align: center;width: 8%"  class="sort-column depositStatus">保证金状态</th>
				<th style="text-align: center;width: 7%"  class="sort-column bidingDocumentFee">标书费(元)</th>
				<th style="text-align: center;width: 8%"  class="sort-column bidingDocumentStatus">标书费缴纳状态</th>
				<th style="text-align: center;width: 7%">操作</th>
			</tr>
		</thead>
		<tbody>
			<c:choose>
				<c:when test="${not empty page.list}">
					<c:forEach items="${page.list}" var="workProjectDeposit" varStatus="index">
						<tr>
							<td>${index.index+1}</td>
							<td>
								<fmt:formatDate value="${workProjectDeposit.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
							</td>
							<td>
								<a  href="javascript:void(0)" onclick="openDialogView('查看招标项目信息', '${ctx}/workbidingproject/workBidingProject/form?id=${workProjectDeposit.bidingProject.id}&name=view','80%', '80%')">
									${workProjectDeposit.bidingProject.projectName}
								</a>
							</td>
							<td>
									${workProjectDeposit.bidingOfficeName}
							</td>
							<td>
									${workProjectDeposit.contacts}
							</td>
							<td>
									${workProjectDeposit.phone}
							</td>
							<td>
									${workProjectDeposit.email}
							</td>
							<td>
									${workProjectDeposit.deposit}
							</td>
							<td>
								<div style="text-align: center">
									<%--${fns:getDictLabel(workProjectDeposit.depositStatus, 'deposit_status', '')}--%>
								<select name="" id="depositStatus" onchange="confirmDeposit('0',this,'${workProjectDeposit.id}')">
									<c:forEach items="${fns:getDictList('deposit_status')}" var="item">

										<c:if test="${item.value eq workProjectDeposit.depositStatus}">
											<option value="${item.value}" selected="selected" >${item.label}</option>
										</c:if>
										<c:if test="${item.value ne workProjectDeposit.depositStatus}">
											<option value="${item.value}">${item.label}</option>
										</c:if>
									</c:forEach>
								</select>
								</div>
							</td>
							<td>
									${workProjectDeposit.bidingDocumentFee}
							</td>
							<td>
								<div style="text-align: center">
									<%--${fns:getDictLabel(workProjectDeposit.bidingDocumentStatus, 'biding_document_status', '')}--%>
								<select name="" id="bidingDocumentStatus" onchange="confirmDeposit('1',this,'${workProjectDeposit.id}')">
									<c:forEach items="${fns:getDictList('biding_document_status')}" var="item">
										<c:if test="${item.value eq workProjectDeposit.bidingDocumentStatus}">
											<option value="${item.value}" selected="selected" >${item.label}</option>
										</c:if>
										<c:if test="${item.value ne workProjectDeposit.bidingDocumentStatus}">
											<option value="${item.value}">${item.label}</option>
										</c:if>
									</c:forEach>
								</select>
								</div>
							</td>
							<td>
								<div style="text-align: center">
								<shiro:hasPermission name="workprojectdeposit:workProjectDeposit:view">
									<a href="javascript:void(0)" onclick="openDialogView('查看保证金模块', '${ctx}/workprojectdeposit/workProjectDeposit/form?id=${workProjectDeposit.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
								</shiro:hasPermission>
								<%--<shiro:hasPermission name="workprojectdeposit:workProjectDeposit:edit">--%>
									<%--<a href="javascript:void(0)" onclick="openDialog('修改保证金模块', '${ctx}/workprojectdeposit/workProjectDeposit/form?id=${workProjectDeposit.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>--%>
								<%--</shiro:hasPermission>--%>
								<%--<shiro:hasPermission name="workprojectdeposit:workProjectDeposit:del">--%>
									<%--<a href="${ctx}/workprojectdeposit/workProjectDeposit/delete?id=${workProjectDeposit.id}" onclick="return confirmx('确认要删除该保证金模块吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>--%>
								<%--</shiro:hasPermission>--%>
								</div>
							</td>
						</tr>
					</c:forEach>
				</c:when>
			<c:otherwise>
				<tr>
					<td colspan="15" align="center">
						暂无数据
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>