<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工程签证管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
              if(obj == 1) {
                  $("#flag").val("yes");
              }else {
                  $("#flag").val("no");
			  }
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});
	</script>
</head>

<body class="gray-bg">

  <div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>工程签证 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
		<div class="ibox-content">
		<form:form id="inputForm" modelAttribute="workVisa" action="${ctx}/workvisa/workVisa/saveAudit" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<form:hidden path="act.taskId"/>
		<form:hidden path="act.taskName"/>
		<form:hidden path="act.taskDefKey"/>
		<form:hidden path="act.procInsId"/>
		<form:hidden path="act.procDefId"/>
		<form:hidden id="flag" path="act.flag"/>
		<sys:message content="${message}"/>
			<c:set var="status" value="${workVisa.act.status}" />
			<fieldset>
				<legend>${workInvoice.act.taskName}</legend>
				<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
					<tr>
						<td class="width-20 active" rowspan="7"><label class="pull-right">台账信息</label></td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">发起单位：</label></td>
						<td class="width-25">
								${workVisa.initiateClient}
						</td>
						<td class="width-15 active"><label class="pull-right">单位工程名称：</label></td>
						<td class="width-25">
								${workVisa.cprojectName}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">施工标段：</label></td>
						<td class="width-25">
								${workVisa.constructionExample}
						</td>
						<td class="width-15 active"><label class="pull-right">签证单编号：</label></td>
						<td class="width-25">
								${workVisa.visaNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">签证范围：</label></td>
						<td class="width-25">
								${workVisa.visaArea}
						</td>
						<td class="width-15 active"><label class="pull-right">主题内容：</label></td>
						<td class="width-25">
								${workVisa.theme}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">签证单主要内容：</label></td>
						<td class="width-25" colspan="3">
								${workVisa.visaContent}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">审价批复意见：</label></td>
						<td class="width-25" colspan="3">
								${workVisa.replySuggest}
						</td>
							<%--<td class="width-15 active"><label class="pull-right">全过程管理项目：</label></td>--%>
							<%--<td class="width-35">--%>
							<%--<sys:gridselect url="${ctx}/workvisa/workVisa/selectfullManage" id="fullManage" name="fullManage.id"  value="${workVisa.fullManage.id}"  title="选择全过程管理项目" labelName="fullManage.id" --%>
							<%--labelValue="${workVisa.fullManage.id}" cssClass="form-control required" fieldLabels="全过程项目表" fieldKeys="WorkFullManage" searchLabel="id" searchKey="id" ></sys:gridselect>--%>
							<%--</td>--%>
					</tr>
					<%--<tr>
						<td class="width-15 active"><label class="pull-right">备注信息：</label></td>
						<td class="width-25" colspan="3">
								${workVisa.remarks}
						</td>
					</tr>--%>
					<tr>
						<td class="width-15 active"><label class="pull-right">审批意见：</label></td>
						<td colspan="5">
							<form:textarea path="act.comment" class="form-control " rows="5" maxlength="127"/>
						</td>
					</tr>
				</table>
			</fieldset>
			<act:flowChart procInsId="${workVisa.act.procInsId}"/>
			<act:histoicFlow procInsId="${workVisa.act.procInsId}"/>
	</form:form>
	</div>
	</div>
	</div>
</body>
</html>